2012-04-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS, synfig-core/configure.ac: Release Synfig and
	Synfig Studio 0.63.05 and ETL 0.04.15

2012-04-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/README: Update README

2012-04-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/es.po, synfig-core/po/fa_IR.po,
	synfig-core/po/fr.po, synfig-core/po/no_NO.po,
	synfig-core/po/ru.po, synfig-core/po/sk_SK.po: Correct po files
	headers.

2012-04-07  Yu Chen <jcomee@gmail.com>

	* synfig-core/po/fa_IR.po: Typo

2012-04-07  Yu Chen <jcomee@gmail.com>

	* synfig-core/po/de.po, synfig-core/po/el_GR.po,
	synfig-core/po/en_GB.po, synfig-core/po/es.po,
	synfig-core/po/fa_IR.po, synfig-core/po/fr.po,
	synfig-core/po/it.po, synfig-core/po/lt.po, synfig-core/po/nl.po,
	synfig-core/po/no_NO.po, synfig-core/po/pl_PL.po,
	synfig-core/po/pt_BR.po, synfig-core/po/ro.po,
	synfig-core/po/ru.po, synfig-core/po/sk_SK.po,
	synfig-core/po/zh_CN.po: Apply lastest translations

2012-04-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_magickpp/trgt_magickpp.cpp: MagickTrue
	needs its namespace specification on the current compiler.

2012-04-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump for RC1

2012-04-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/releases.h: Bump release number on the save
	as dialogue

2012-04-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/AUTHORS, synfig-core/NEWS: Update NEWS and AUTHORS

2012-03-29  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/tool/main.cpp: Standarised sequence separator
	parameter format

2012-03-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/zoom.cpp: Fix typos and mispelling
	on various messages. Patch thanks to Bertand Gregorie

2012-03-28  Carlos Lopez <genetita@gmail.com>

	* : commit 5101df0080b9e821193d7555275b6501c2da6f69 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Wed Mar 28 16:02:45 2012 +0200

2012-03-28  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/synfig/palette.cpp: Built-in GPL import gamma
	color correction replacement

2012-03-28  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/synfig/palette.cpp: Improved GPL format support,
	bugs corrected

2012-03-26  Carlos Lopez <genetita@gmail.com>

	* : commit fe9d3892924caa907f3afc245417d7464e540652 Merge: 9fcbd0e
	788abf6 Author: Diego Barrios Romero <eldruin@eldruin.com> Date:
	Fri Mar 16 17:08:44 2012 +0100

2012-03-16  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/synfig/palette.cpp: Reworked and applied patch
	#3505969. GIMP/Inkscape palette load support.  Thanks to Bertrand
	Grégoire!

2012-03-15  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/synfig/color.h: Pixel format color transformation
	correction The methods SetZ and GetZ don't exist and haven't ever existed as
	far as the repository history goes.  Whoever corrected the lines
	forgot to delete the pointer in the increments

2012-03-14  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/synfig/valuenode.cpp: Corrected loop condition As it was, it's possible that the received i is bigger than the
	number of elements in vocab, therefore, trying to increment the
	iterator beyond its limits and later trying to access a method of an
	inexistent element.

2012-03-14  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/synfig/valuenode.cpp,
	synfig-core/src/synfig/valuenode.h: Proper inherited function
	overload

2012-03-14  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/synfig/valuenode.cpp: Assignation return value as
	condition in loop

2012-03-14  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/synfig/dashitem.cpp,
	synfig-core/src/synfig/gradient.cpp,
	synfig-core/src/synfig/layer_bitmap.cpp,
	synfig-core/src/synfig/layer_bitmap.h,
	synfig-core/src/synfig/target.h, synfig-core/src/synfig/value.h: 
	Stupid mistakes

2012-03-14  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/synfig/valuenode_range.cpp: Unused variable
	commented out

2012-03-13  Diego Barrios Romero <eldruin@eldruin.com>

	* synfig-core/src/synfig/canvas.h, synfig-core/src/synfig/color.h,
	synfig-core/src/synfig/guidset.h,
	synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/vector.h: Apply patch #3424218 partially. Fix
	compiling issues with clang compiler Thanks to Hisashi Todd Fujinaka

2012-03-15  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_magickpp/trgt_magickpp.cpp: Additional
	fix to be able to build on Ubuntu 12.04

2012-03-01  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_magickpp/trgt_magickpp.h: Fix typo
	error.

2012-02-13  Carlos Lopez <genetita@gmail.com>

	* : commit dc9371dad09e4eb0bc759646c623830f616766a3 Merge: fef35fa
	827b122 Author: Carlos Lopez <genetita@gmail.com> Date:   Mon Feb 13
	13:53:36 2012 +0100

2012-02-13  Carlos Lopez <genetita@gmail.com>

	* : commit 04937a767ac2f19e0453aebd445661ac0f3fd3b3 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Sat Feb 11 13:11:11 2012 +0100

2012-02-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_bmp/trgt_bmp.cpp,
	synfig-core/src/modules/mod_bmp/trgt_bmp.h,
	synfig-core/src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	synfig-core/src/modules/mod_imagemagick/trgt_imagemagick.h,
	synfig-core/src/modules/mod_jpeg/trgt_jpeg.cpp,
	synfig-core/src/modules/mod_jpeg/trgt_jpeg.h,
	synfig-core/src/modules/mod_magickpp/trgt_magickpp.cpp,
	synfig-core/src/modules/mod_magickpp/trgt_magickpp.h,
	synfig-core/src/modules/mod_openexr/trgt_openexr.cpp,
	synfig-core/src/modules/mod_openexr/trgt_openexr.h,
	synfig-core/src/modules/mod_ppm/trgt_ppm.cpp,
	synfig-core/src/modules/mod_ppm/trgt_ppm.h: Allow to use custom
	sequence separator for other targets than png which uses image
	sequence.

2012-02-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_png/trgt_png.cpp,
	synfig-core/src/modules/mod_png/trgt_png.h,
	synfig-core/src/synfig/targetparam.h: For png target use the
	sequence separator string.

2012-02-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS, synfig-core/README: Update NEWS README and
	AUTHORS. Release Synfig 0.63.04

2012-02-08  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/configure.ac: Splash screen

2012-02-07  Carlos Lopez <genetita@gmail.com>

	* : commit 832a8e78d2e7fd8267fa65bc4b0fd1f27dcf4e7a Author: Carlos
	Lopez <genetita@gmail.com> Date:   Tue Feb 7 19:21:10 2012 +0100

2012-02-07  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/po/it.po: Update Italian translation

2012-02-07  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/po/ru.po: Translations - fix errors found by "msgfmt
	-c".

2012-02-07  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/po/de.po, synfig-core/po/el_GR.po,
	synfig-core/po/en_GB.po, synfig-core/po/es.po,
	synfig-core/po/fa_IR.po, synfig-core/po/fr.po,
	synfig-core/po/it.po, synfig-core/po/lt.po, synfig-core/po/nl.po,
	synfig-core/po/no_NO.po, synfig-core/po/pl_PL.po,
	synfig-core/po/pt_BR.po, synfig-core/po/ro.po,
	synfig-core/po/ru.po, synfig-core/po/sk_SK.po,
	synfig-core/po/zh_CN.po: Update translations

2012-02-06  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.cpp: Fix wrong canvas reference

2012-02-06  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.cpp,
	synfig-core/src/synfig/context.cpp: As requested, don't pass the
	grow value for non in-line canvases.

2012-02-06  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h,
	synfig-core/src/modules/mod_geometry/outline.cpp,
	synfig-core/src/synfig/canvas.cpp, synfig-core/src/synfig/canvas.h,
	synfig-core/src/synfig/context.cpp,
	synfig-core/src/synfig/context.h, synfig-core/src/synfig/layer.cpp,
	synfig-core/src/synfig/layer.h,
	synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_pastecanvas.h: Add outline grow
	functionality for in-line, exported and imported canvases.  Known
	issues: 1) Bounding box is not updated immediately 2) When growing outlines from exported or imported canvases,
	different outline grow value are not used on different canvas
	instances. All they share the last rendered instance grow value.

2012-01-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/src/synfig/releases.h: Bump
	for 0.63.04-RC1

2012-01-27  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h,
	synfig-core/src/modules/mod_geometry/outline.cpp,
	synfig-core/src/modules/mod_geometry/outline.h,
	synfig-core/src/synfig/canvas.cpp,
	synfig-core/src/synfig/context.cpp,
	synfig-core/src/synfig/context.h,
	synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_pastecanvas.h: Revert changes from
	outline grow development.  I've not found a way to avoid endless
	loop for exported or imported canvas parameter.

2012-01-23  Carlos Lopez <genetita@gmail.com>

	* : commit ffb4e0bf00ab1514ba66f279d043759e36d2a4c3 Merge: 68f4e27
	ede8a36 Author: Carlos Lopez <genetita@gmail.com> Date:   Mon Jan 23
	20:50:17 2012 +0100

2012-01-23  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.cpp: Don't pass the grow
	parameter to exported or imported canvases. It causes further
	problems not solved.

2012-01-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.cpp: When looking up a canvas
	consider current canvas as candidate.

2012-01-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_pastecanvas.h: Add new width grow non
	critical hidden parameter to the Paste Canvas layer to recursively
	pass the width to its children layers.

2012-01-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/outline.cpp: Prepare the
	dynamic parameter at construction time

2012-01-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.cpp,
	synfig-core/src/synfig/context.cpp,
	synfig-core/src/synfig/context.h: Use a more general way to pass the
	parameter to the context

2012-01-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix the
	same issue for Advanced Outlines

2012-01-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/outline.cpp: Don't add a new
	ValueNode each time because it marks the layer as dirty and the
	update cycle runs indefinitely.

2012-01-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/context.cpp: Remove Writer Lock

2012-01-15  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h,
	synfig-core/src/modules/mod_geometry/outline.cpp,
	synfig-core/src/synfig/context.cpp: Add width grow parameter to
	Advanced Outline and allow Context to pass it to that type of layer.

2012-01-15  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.cpp: When the canvas receive a
	set_time call and it is root, set the outline grow value to be 0.0
	(no grow)

2012-01-15  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.cpp: Paste Canvas layer
	passes the outline grow parameter to the context at the set_time
	call.

2012-01-15  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/context.cpp,
	synfig-core/src/synfig/context.h: Add set_outline_grow member to
	Context class. It passes the outline grow value to all outline type
	layers in the context.

2012-01-15  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/outline.cpp,
	synfig-core/src/modules/mod_geometry/outline.h: Add width_grow
	parameter to Outline layer. Hidden, not critical.

2012-01-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_pastecanvas.h: Add new parameter to
	Paste Canvas Layer called 'Outline Grow'.

2012-01-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp: When loading a exported
	linkable value node consider that the sub parameter can be exported
	too and so, don't throw the exception.  Only if the sub parameter
	value node is exported and belong to other canvas then and it is not
	found, then throw the exception.

2012-01-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp: When loading a canvas.
	don't throw an exception when the value node referenced by "use" is
	not found. Show a message instead and don't load the canvas.

2012-01-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/rotate.cpp: Fix bug
	http://www.pivotaltracker.com/story/show/23212095. If two rotations
	of 90 and -90 are consecutive the program crashes.

2012-01-08  Carlos Lopez <genetita@gmail.com>

	* : commit 3674208e66782a09a20bc9f73ab9a157f5badf53 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Sun Jan 8 21:28:05 2012 +0100

2012-01-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_animated.cpp: Use correct
	approaching to the problem modifying the bias of each waypoint and
	using templates to recursively call the clamped tangent calculation
	for real numbers.

2012-01-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_blinecalcwidth.cpp: Fix bug:
	http://www.pivotaltracker.com/story/show/23017929

2012-01-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_animated.cpp: Add debug info

2012-01-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/gradient.cpp: Suit a better way to
	calculate gradient magnitude

2012-01-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_animated.cpp: Remove debug info

2012-01-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_animated.cpp: Add code to
	interpret the clamped interpolation method

2012-01-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/gradient.cpp,
	synfig-core/src/synfig/gradient.h: Add function to calculate the
	magnitude of a gradient

2012-01-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/interpolation.h,
	synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/savecanvas.cpp: Add new interpolation type.
	Non functional yet

2011-12-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_animated.cpp: Add some comments
	to understand code better.

2011-12-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_animated.cpp,
	synfig-core/src/synfig/valuenode_animated.h,
	synfig-core/src/synfig/waypoint.h: Add some comments and remove
	unused code

2011-12-31  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	several bugs and crashes related to dashed outlines

2011-12-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: Fix broken
	ffmpeg target that doesn't work for some non dot decimal points
	numeric locale settings.

2011-12-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_dynamiclist.cpp: Fix crash when
	inserting an item on a generic empty dynamic list.

2011-12-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS, synfig-core/configure.ac: Release Synfig 0.63.03

2011-12-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Update News

2011-12-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/de.po, synfig-core/po/en_GB.po,
	synfig-core/po/es.po, synfig-core/po/fa_IR.po,
	synfig-core/po/fr.po, synfig-core/po/it.po, synfig-core/po/lt.po,
	synfig-core/po/nl.po, synfig-core/po/no_NO.po,
	synfig-core/po/pl_PL.po, synfig-core/po/pt_BR.po,
	synfig-core/po/ro.po, synfig-core/po/ru.po,
	synfig-core/po/sk_SK.po, synfig-core/po/zh_CN.po: Fix po file head
	issues caused by transifex. Update translations. Patch by Yu Chen

2011-12-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/po/el_GR.po: Add a new
	translation el_GR for Synfig Core. Patch by Yu Chen

2011-11-25  Carlos Lopez <genetita@gmail.com>

	* : commit 5a2f329ac6bc13539d2f940f9bf11ce6d20a0c5c Author: Carlos
	Lopez <genetita@gmail.com> Date:   Wed Nov 23 21:57:49 2011 +0100

2011-11-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Avoid
	crash when dash enabled and DList is empty.

2011-11-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_bline.cpp,
	synfig-core/src/synfig/valuenode_dilist.cpp,
	synfig-core/src/synfig/valuenode_wplist.cpp: Allow insert items on
	BLine, WPList and DList when list is empty.

2011-11-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	various render artifacts that were introduced with the previous
	commit and others ones older.

2011-11-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	various render artifacts: 1) Not perpendicularity of the width when doing tips at widthpoints.  2) Due to homogeneous to standard calculation limitations it is
	needed to check if a withpoint tip is just done before continue
	rendering.

2011-11-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump for version RC2

2011-11-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Avoid
	crash when there is only one blinepoint and the bline is not looped.

2011-11-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: 
	Initialise variables to avoid compiler warning.

2011-11-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Make
	Advanced Outline 'Fast' parameter static by default.

2011-11-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Typo

2011-11-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/releases.h: Update Save As file dialogue
	options.

2011-11-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump versions for 0.63.03-RC1. Not
	release splash yet.

2011-11-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: More Update News

2011-11-12  Carlos Lopez <genetita@gmail.com>

	* : commit edf67c5fa77dbdb6ce12020ae29db26319dd1fce Author: Carlos
	Lopez <genetita@gmail.com> Date:   Sat Nov 12 18:55:25 2011 +0100

2011-11-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/timeloop.cpp: Fix bug in Time Loop
	Layer. Patch ID: 3414729 by Ray Frederikson

2011-11-06  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/import.cpp: For Importer layer,
	even if file is physically impossible to open set the parameter with
	the passed file name.  This would allow to load and save Synfig's
	documents with paths for imported files badly adjusted but that user
	doesn't want to modify.

2011-11-06  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/import.cpp: For Importer layer,
	even if file is physically impossible to open set the parameter with
	the passed file name.  This would allow to load and save Synfig's
	documents with paths for imported files badly adjusted but that user
	doesn't want to modify.

2011-10-30  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* : Merge remote branch 'origin/genete_opt_av_out_render' into
	zelgadis_master

2011-10-30  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Clean
	up unused and debug code. Add some comments

2011-10-30  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Reuse
	already calculated homogeneous positions

2011-10-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Make
	standard and homogeneous copies of the widthpoints. Always move in
	standard positions.This should do better renders. Not faster yet

2011-10-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: 
	Reorganise definitions and change some variable names.

2011-10-27  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: When
	bline is looped, it is needed one more position on the arrays

2011-10-27  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Use
	homogeneous blinepoint positions form array

2011-10-27  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Use an
	array for the blinepoints positions

2011-10-23  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Remove
	debug info

2011-10-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Add member to reverse a
	widthpoint

2011-10-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Add new member to get the
	boundarized position. Add code to correct the hover text on duck and
	the ValueDescSet action.

2011-10-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp: Fix and simplify
	get_norm_position widthpoint member

2011-10-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp: When calculating the
	normalised position, use lower boundary as origin.

2011-10-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp: Add code to parse exported
	widhtpoints

2011-10-15  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp: Fix uninitialised class
	member on explicit constructor. Fix operator ==

2011-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_bline.cpp: When WPlist is looped
	and position is out of (0,1) calculate correctly from/to homogeneous
	to/from standard.

2011-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_bline.cpp: When converting
	from/to standard to/from homogeneous check the trivial cases first.
	Fix render artifact.

2011-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_composite.cpp: Make parameters
	lower bound and upper bound visible. Add its description.

2011-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Now
	widthpoint_interpolate must use always normalised widthpoints so
	wplist loop is not needed.

2011-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Fix get_norm_position member to
	return a value between 0.0 an 1.0. Add new member to 'normalize' the
	widthpoint to set its position to the normalised value inside its
	boundaries.

2011-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.h,
	synfig-core/src/synfig/loadcanvas.cpp: Increase canvas version due
	to the addition of two new parameters in WidthPoint Composite

2011-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp: Use lower and upper
	boundaries to calculate the normalised position.

2011-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_composite.cpp: Only allow set
	link to ValueNode_Const and avoid cross boundaries for lower and
	upper boundaries of widthpoints

2011-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Add two new parameters to
	ValueNode Composite WidthPoint type. Also needed code to WidthPoint
	class

2011-10-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/distance.cpp: When a Distance is assigned
	from a string and system units is empty use the previous one. If the
	system was not set an exception is caught.

2011-09-29  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* : Merge remote branch 'origin/master' into zelgadis_master

2011-09-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS, synfig-core/configure.ac: Release 0.63.02

2011-09-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Add Fast
	parameter to allow user to render outline with the old (non
	homogeneous) algorithm

2011-09-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	render artifact when doing dashed outlines and other than flat
	sides.

2011-09-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Release Synfig 0.63.01

2011-09-23  Carlos Lopez <genetita@gmail.com>

	* synfig-core/AUTHORS, synfig-core/NEWS: Update NEWS and AUTHORS

2011-09-23  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/po/lt.po,
	synfig-core/po/nl.po, synfig-core/po/ru.po,
	synfig-core/po/sk_SK.po, synfig-core/po/zh_CN.po: Add support for
	Dutch and Lituanian and Slovakian. Update Chinesse and Russian

2011-09-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/es.po: Tiny Spanish translation update for Synfig
	Core

2011-09-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/po/fa_IR.po: New language
	for Synfig Core: Persian. Thanks to Hadi Fadakar

2011-09-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/de.po, synfig-core/po/en_GB.po,
	synfig-core/po/es.po, synfig-core/po/fr.po, synfig-core/po/it.po,
	synfig-core/po/no_NO.po, synfig-core/po/pl_PL.po,
	synfig-core/po/pt_BR.po, synfig-core/po/ro.po,
	synfig-core/po/ru.po, synfig-core/po/zh_CN.po: Updates for Synfig
	Core translations

2011-09-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_composite.cpp: Better translation
	string for dash item side type

2011-09-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/paramdesc.cpp: Remove underscores for
	shortcuts since they are not used anymore.

2011-09-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump for RC2

2011-09-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h,
	synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Fix various render artifacts
	related to wplist loop option

2011-09-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp: Use fmod instead of modf to
	see if it can solve the 32 bits bug.

2011-09-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Prepare for RC1

2011-09-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/valuenode_blinecalctangent.cpp,
	synfig-core/src/synfig/valuenode_blinecalcvertex.cpp,
	synfig-core/src/synfig/valuenode_blinecalcwidth.cpp: New BLine
	linked Value Nodes are homogeneous by default.

2011-09-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Remove
	more useless warnings and info messages

2011-09-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Remove
	useless warning and info messages.

2011-09-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	render bug produced by bad interpolation when passing through
	artificially inserted first and last width points.

2011-08-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Typo

2011-08-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	wrong parameter order.

2011-08-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	trimming dash offset layer parameter to be allow negative offsets

2011-08-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: To keep
	back compatibility, don't use homogeneous interpolation when
	homogeneous is off and loading old "0.1" layer version.

2011-08-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Now
	that homogeneous just places the widthpoints and the interpolation
	is always homogeneous, let's redefine the "Homogeneous" description

2011-08-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Remove
	debug info

2011-08-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	some render artefacts

2011-08-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: When
	rendering an advanced outline with homogeneous false then calculate
	the interpolated width as homogeneous to avoid render artefacts.

2011-08-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: 
	Remember the start and end tips of the dash widthpoints that are
	removed because they are out from [0, 1] and restore them later

2011-08-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Correct
	some documentation

2011-08-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Do not
	render last cusp when lies in the middle of an empty dash.

2011-08-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	some render glitches. Correct one bad iterator calculation.

2011-08-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Add
	some debug info

2011-08-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Keep a
	copy of the original widthpoints before remove the non visible. Keep
	track of them and do the dash withpoints interpolation properly

2011-08-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Remove
	regular widthpoints that lie on an empty dash segment.

2011-08-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Make
	the width of new dash withpoints to be 1.0 for testing porpouses

2011-08-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Dash is now false by default in
	explicit WidthPoint constructor. Not need to mark as dash types.
	Also, regular widthpoints doesn't have to be converted to
	homogeneous if they are standard.

2011-08-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Dash
	Widthpoints positions has to be homogeneous or standard to be
	comparable with normal withpoints

2011-08-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp: Dash type has to be set on
	WidthPoints defined by its components

2011-08-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Merge
	the filtered list with the current one

2011-08-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Mark
	all the filtered dash widthpoints as dash type

2011-08-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Add dassh member to
	widthpoints. Dash=true means that the widthpoint is used for dashed
	segments. False by default

2011-08-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Add
	code to filter the dash widthpoints to remove those ones that won't
	be used because they lie on a empty interval.

2011-08-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Move
	dash width point preparation to be executed earlier.

2011-08-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Remove
	unused variable. Move debug info to other better place. Highlight
	code sections

2011-08-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Add
	widthpoints from the dash offset to the start of bline. Correct some
	previous mistakes

2011-08-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix end
	of dash segment withpoint position, wrongly calculated by a mistake

2011-08-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Add the
	widthpoints from the dash offset to the end ob bline. Add some debug
	info.

2011-08-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/dashitem.h: DashItem uses same numerals
	than WidthPoint for direct use.

2011-08-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_composite.cpp: Limit to [0,1] the
	values of the length and offset of a dash item when evaluating the
	Dash Item Value Node.

2011-08-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: First
	steps to use the dash items. Also add missing set_param_static for
	smoothness parameter

2011-08-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Add new
	parameter to enable/disable dashed outlines

2011-08-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/savecanvas.cpp,
	synfig-core/src/synfig/valuenode_dilist.cpp,
	synfig-core/src/synfig/valuenode_dilist.h: Remove 'Enabled' as
	DIList option

2011-08-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h,
	synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/savecanvas.cpp,
	synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Add code to make
	'homogeneous' a layer parameter instead of a WPList option.It is
	true by default on new layers and if an old layer is loaded it is
	false.

2011-08-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Remove
	dilist success message

2011-08-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/value.cpp: Fix BLine Tool crash. It was
	caused by a bad return when using the == operator. If the ==
	operator is not defined in the value type it should return false.

2011-08-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/dashitem.cpp,
	synfig-core/src/synfig/dashitem.h: Add operator == to DashItem class

2011-08-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/dashitem.cpp,
	synfig-core/src/synfig/dashitem.h, synfig-core/src/synfig/value.h: 
	Rewrite DashItem class as independent class and not inherited from
	WidthPoint since it doesn't offer any advantage

2011-08-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Add Dash
	Offset parameter to the Adanced Outline Layer

2011-08-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/valuenode_wplist.cpp: By default new Advanced
	Outlines layers have homogeneous option set to true. Load old files
	keeps the homogeneous option to false as expected.  Signed-off-by: Carlos Lopez <genetita@gmail.com>

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_bline.cpp: Revert changes in one
	past commit that tried find up a better initial value for the root
	find routine. It failed for certain cases.

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_bline.cpp,
	synfig-core/src/synfig/valuenode_bline.h: Add new function to
	calculate the bline's length

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/savecanvas.cpp: Add code to parse/encode
	properly the DILits Linkable Value Node

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_dilist.cpp: By default the Dash
	List is disabled

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Add new
	parameter 'DIList' (Dash Items List) to Advanced Outline Layer

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/releases.h,
	synfig-core/src/synfig/valuenode.cpp: Register Value Node DIList and
	fix unused release version. Fix release version for WPList. Add
	future 0.63.01 release version

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_composite.cpp: Fix wrong
	parameters description

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_dilist.cpp: Fix wrong value
	insertion in the DIList

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_dilist.cpp,
	synfig-core/src/synfig/valuenode_dilist.h: Add option "enabled" to
	enable or disable the Dash Item List usage

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/Makefile.am,
	synfig-core/src/synfig/valuenode_dilist.cpp,
	synfig-core/src/synfig/valuenode_dilist.h,
	synfig-core/src/synfig/valuenode_dynamiclist.h: New Valuenode
	DashItem List

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/dashitem.cpp,
	synfig-core/src/synfig/dashitem.h: Add construction member
	(constructor by reference) to be able to compile. Rename a bad
	parameter

2011-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/loadcanvas.h,
	synfig-core/src/synfig/savecanvas.cpp,
	synfig-core/src/synfig/value.cpp, synfig-core/src/synfig/value.h,
	synfig-core/src/synfig/valuenode_composite.cpp: Support for new
	Composite value node for Dash Item class

2011-07-27  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/Makefile.am,
	synfig-core/src/synfig/dashitem.cpp,
	synfig-core/src/synfig/dashitem.h: New Dash Item class files.

2011-07-27  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp: Fix file identifier

2011-07-27  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_bline.cpp: Try to find a better
	initial value for the root find routine.

2011-07-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: When
	using homogeneous the condition of position onto a blinepoint is not
	always matched due to lack of precision of std to hom or hom to std
	conversion. Replace the condition by a flag.

2011-07-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Revert
	changes from last commit since it doesn't work.

2011-07-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Improve
	step size for smooth render. Experimental. I think this should be
	user selectable because it can eventually reduce render speed

2011-07-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix two
	mistakes that luckily didn't produce any bug before.

2011-07-23  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Render
	the outline using homogeneous option

2011-07-23  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_bline.cpp,
	synfig-core/src/synfig/valuenode_bline.h: Give new parameter names
	to make it more readable

2011-07-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Remove
	homogeneous parameter from Advanced Outline Layer since it is only
	an internal WPList optiion

2011-07-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/savecanvas.cpp,
	synfig-core/src/synfig/valuenode_wplist.cpp: Add actions to set and
	unset the homogeneous option to the WPList

2011-07-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Return homogeneous as
	internal parameter for the WPList and not a Value Node

2011-07-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.h: Write git SHA1 ID number on
	canvas version change comment

2011-07-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.h,
	synfig-core/src/synfig/loadcanvas.cpp: Increase canvas version and
	allow open files created previously without the homogeneous link
	defined. .

2011-07-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Give an
	initial value to homogenous parameter

2011-07-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_bline.cpp: Consider trivial cases
	in standard from/to homogeneous. It avoid a crash.

2011-07-18  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Add
	homogeneous parameter to Advanced Outline Layer. It is not
	functional yet.

2011-07-18  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Use a value node to allow
	make it animatable.

2011-07-18  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Add a member to set/get
	homogeneous option for WPList

2011-07-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_blinecalctangent.cpp,
	synfig-core/src/synfig/valuenode_blinecalctangent.h,
	synfig-core/src/synfig/valuenode_blinecalcvertex.cpp,
	synfig-core/src/synfig/valuenode_blinecalcvertex.h,
	synfig-core/src/synfig/valuenode_blinecalcwidth.cpp,
	synfig-core/src/synfig/valuenode_blinecalcwidth.h: Add support for
	use of homogenous or standard index of the Link to Bline feature

2011-07-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_bline.cpp,
	synfig-core/src/synfig/valuenode_bline.h: Add functions to convert
	from standard index to homogeneous index (consider the length as
	basis of the index)

2011-07-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: If
	tangent is zero and they are merged, then consider it as split to
	make corners.

2011-06-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_join.cpp: Allow use the Joined
	List Convert type to file name parameter of the Import Image layers.
	If possible any convert type shouldn't modify the original value of
	the parameter.

2011-06-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/supersample.cpp: Don't allow
	supersample have zero or negative values in the height or width
	parameters.It only causes problems.Fixes bug 3147736

2011-06-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/releases.h: Update the version in save file
	dialog. Patch b Yu Chen (jcome)

2011-06-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Release Synfig 0.63.00

2011-06-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/README: Update Readme files

2011-06-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/AUTHORS, synfig-core/NEWS: Update News and Authors
	files and About dialogue

2011-06-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Typo

2011-06-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/pt_BR.po: Fix missing \n characters

2011-06-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/po/es.po,
	synfig-core/po/fr.po, synfig-core/po/it.po,
	synfig-core/po/pl_PL.po, synfig-core/po/pt_BR.po: Add support for
	Polish (Poland) language and updates for Spanish, French, Italian
	and Portuguese (Brazilian) for synfig core

2011-05-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump for version RC2

2011-05-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/pt_BR.po: Fix some missing \n at some of the msgstr

2011-05-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Remove Persian language until missed \n
	at the end of string is fixed.

2011-05-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/po/es.po,
	synfig-core/po/fa_IR.po, synfig-core/po/pt_BR.po: New Languages:
	Persian and Brasilian. Thanks to abtin and ricardograca. Spanish
	updated. Thanks to carlos_tutor

2011-05-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Remove
	debug info

2011-05-01  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/tool/main.cpp: Fix bug:2175043 Suit a better
	handling and message for the case of path not writable or not exists
	for the command line renderer.

2011-04-30  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump version for RC2

2011-04-30  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/po/no_NO.po,
	synfig-core/po/ro.po: Add support for Norwegian and Romanian
	language for synfig core and Slovakian for synfig studio

2011-04-27  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_polygon.cpp: Suit better name for
	Vertices parameter for Polygon layer. Patch thanks to Yu Chen
	(jcome)

2011-04-27  Carlos Lopez <genetita@gmail.com>

	* : commit 46ea83801b3b7f2f2389f7bced5c0da7da281da7 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Sun Apr 24 10:07:37 2011 +0200

2011-04-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/es.po, synfig-core/po/fr.po: Updated Spanish and
	French translations. Thanks to genete and animtim

2011-04-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Typo

2011-04-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump version for ETL

2011-04-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Update NEWS files

2011-04-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/clamp.cpp,
	synfig-core/src/modules/lyr_std/curvewarp.cpp,
	synfig-core/src/modules/lyr_std/import.cpp,
	synfig-core/src/modules/lyr_std/sphere_distort.cpp,
	synfig-core/src/modules/lyr_std/stretch.cpp,
	synfig-core/src/modules/lyr_std/supersample.cpp,
	synfig-core/src/modules/lyr_std/timeloop.cpp,
	synfig-core/src/modules/lyr_std/twirl.cpp,
	synfig-core/src/modules/lyr_std/warp.cpp,
	synfig-core/src/modules/lyr_std/xorpattern.cpp,
	synfig-core/src/modules/mod_example/filledrect.cpp,
	synfig-core/src/modules/mod_example/simplecircle.cpp,
	synfig-core/src/modules/mod_geometry/checkerboard.cpp,
	synfig-core/src/modules/mod_geometry/circle.cpp,
	synfig-core/src/modules/mod_geometry/outline.cpp,
	synfig-core/src/modules/mod_geometry/rectangle.cpp,
	synfig-core/src/modules/mod_geometry/region.cpp,
	synfig-core/src/modules/mod_gradient/conicalgradient.cpp,
	synfig-core/src/modules/mod_gradient/curvegradient.cpp,
	synfig-core/src/modules/mod_gradient/lineargradient.cpp,
	synfig-core/src/modules/mod_gradient/radialgradient.cpp,
	synfig-core/src/modules/mod_gradient/spiralgradient.cpp,
	synfig-core/src/modules/mod_noise/distort.cpp,
	synfig-core/src/modules/mod_noise/noise.cpp,
	synfig-core/src/modules/mod_noise/valuenode_random.cpp,
	synfig-core/src/modules/mod_noise/valuenode_random.h,
	synfig-core/src/modules/mod_particle/plant.cpp,
	synfig-core/src/synfig/general.h, synfig-core/src/synfig/layer.cpp,
	synfig-core/src/synfig/layer.h,
	synfig-core/src/synfig/layer_composite.cpp,
	synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_polygon.cpp,
	synfig-core/src/synfig/layer_solidcolor.cpp,
	synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/releases.h,
	synfig-core/src/synfig/savecanvas.cpp,
	synfig-core/src/synfig/value.cpp, synfig-core/src/synfig/value.h,
	synfig-core/src/synfig/valuenode.cpp,
	synfig-core/src/synfig/valuenode.h,
	synfig-core/src/synfig/valuenode_add.cpp,
	synfig-core/src/synfig/valuenode_add.h,
	synfig-core/src/synfig/valuenode_and.cpp,
	synfig-core/src/synfig/valuenode_and.h,
	synfig-core/src/synfig/valuenode_anglestring.cpp,
	synfig-core/src/synfig/valuenode_anglestring.h,
	synfig-core/src/synfig/valuenode_atan2.cpp,
	synfig-core/src/synfig/valuenode_atan2.h,
	synfig-core/src/synfig/valuenode_bline.cpp,
	synfig-core/src/synfig/valuenode_bline.h,
	synfig-core/src/synfig/valuenode_blinecalctangent.cpp,
	synfig-core/src/synfig/valuenode_blinecalctangent.h,
	synfig-core/src/synfig/valuenode_blinecalcvertex.cpp,
	synfig-core/src/synfig/valuenode_blinecalcvertex.h,
	synfig-core/src/synfig/valuenode_blinecalcwidth.cpp,
	synfig-core/src/synfig/valuenode_blinecalcwidth.h,
	synfig-core/src/synfig/valuenode_blinereversetangent.cpp,
	synfig-core/src/synfig/valuenode_blinereversetangent.h,
	synfig-core/src/synfig/valuenode_compare.cpp,
	synfig-core/src/synfig/valuenode_compare.h,
	synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/valuenode_composite.h,
	synfig-core/src/synfig/valuenode_cos.cpp,
	synfig-core/src/synfig/valuenode_cos.h,
	synfig-core/src/synfig/valuenode_dotproduct.cpp,
	synfig-core/src/synfig/valuenode_dotproduct.h,
	synfig-core/src/synfig/valuenode_duplicate.cpp,
	synfig-core/src/synfig/valuenode_duplicate.h,
	synfig-core/src/synfig/valuenode_dynamiclist.cpp,
	synfig-core/src/synfig/valuenode_dynamiclist.h,
	synfig-core/src/synfig/valuenode_exp.cpp,
	synfig-core/src/synfig/valuenode_exp.h,
	synfig-core/src/synfig/valuenode_gradientcolor.cpp,
	synfig-core/src/synfig/valuenode_gradientcolor.h,
	synfig-core/src/synfig/valuenode_gradientrotate.cpp,
	synfig-core/src/synfig/valuenode_gradientrotate.h,
	synfig-core/src/synfig/valuenode_greyed.cpp,
	synfig-core/src/synfig/valuenode_greyed.h,
	synfig-core/src/synfig/valuenode_integer.cpp,
	synfig-core/src/synfig/valuenode_integer.h,
	synfig-core/src/synfig/valuenode_intstring.cpp,
	synfig-core/src/synfig/valuenode_intstring.h,
	synfig-core/src/synfig/valuenode_join.cpp,
	synfig-core/src/synfig/valuenode_join.h,
	synfig-core/src/synfig/valuenode_linear.cpp,
	synfig-core/src/synfig/valuenode_linear.h,
	synfig-core/src/synfig/valuenode_log.cpp,
	synfig-core/src/synfig/valuenode_log.h,
	synfig-core/src/synfig/valuenode_not.cpp,
	synfig-core/src/synfig/valuenode_not.h,
	synfig-core/src/synfig/valuenode_or.cpp,
	synfig-core/src/synfig/valuenode_or.h,
	synfig-core/src/synfig/valuenode_pow.cpp,
	synfig-core/src/synfig/valuenode_pow.h,
	synfig-core/src/synfig/valuenode_radialcomposite.cpp,
	synfig-core/src/synfig/valuenode_radialcomposite.h,
	synfig-core/src/synfig/valuenode_range.cpp,
	synfig-core/src/synfig/valuenode_range.h,
	synfig-core/src/synfig/valuenode_realstring.cpp,
	synfig-core/src/synfig/valuenode_realstring.h,
	synfig-core/src/synfig/valuenode_reciprocal.cpp,
	synfig-core/src/synfig/valuenode_reciprocal.h,
	synfig-core/src/synfig/valuenode_reference.cpp,
	synfig-core/src/synfig/valuenode_reference.h,
	synfig-core/src/synfig/valuenode_repeat_gradient.cpp,
	synfig-core/src/synfig/valuenode_repeat_gradient.h,
	synfig-core/src/synfig/valuenode_scale.cpp,
	synfig-core/src/synfig/valuenode_scale.h,
	synfig-core/src/synfig/valuenode_segcalctangent.cpp,
	synfig-core/src/synfig/valuenode_segcalctangent.h,
	synfig-core/src/synfig/valuenode_segcalcvertex.cpp,
	synfig-core/src/synfig/valuenode_segcalcvertex.h,
	synfig-core/src/synfig/valuenode_sine.cpp,
	synfig-core/src/synfig/valuenode_sine.h,
	synfig-core/src/synfig/valuenode_step.cpp,
	synfig-core/src/synfig/valuenode_step.h,
	synfig-core/src/synfig/valuenode_stripes.cpp,
	synfig-core/src/synfig/valuenode_stripes.h,
	synfig-core/src/synfig/valuenode_subtract.cpp,
	synfig-core/src/synfig/valuenode_subtract.h,
	synfig-core/src/synfig/valuenode_switch.cpp,
	synfig-core/src/synfig/valuenode_switch.h,
	synfig-core/src/synfig/valuenode_timedswap.cpp,
	synfig-core/src/synfig/valuenode_timedswap.h,
	synfig-core/src/synfig/valuenode_timeloop.cpp,
	synfig-core/src/synfig/valuenode_timeloop.h,
	synfig-core/src/synfig/valuenode_timestring.cpp,
	synfig-core/src/synfig/valuenode_timestring.h,
	synfig-core/src/synfig/valuenode_twotone.cpp,
	synfig-core/src/synfig/valuenode_twotone.h,
	synfig-core/src/synfig/valuenode_vectorangle.cpp,
	synfig-core/src/synfig/valuenode_vectorangle.h,
	synfig-core/src/synfig/valuenode_vectorlength.cpp,
	synfig-core/src/synfig/valuenode_vectorlength.h,
	synfig-core/src/synfig/valuenode_vectorx.cpp,
	synfig-core/src/synfig/valuenode_vectorx.h,
	synfig-core/src/synfig/valuenode_vectory.cpp,
	synfig-core/src/synfig/valuenode_vectory.h: Update Authors Copyright

2011-04-22  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* : Merge commit 'origin/master' into zelgadis_master

2011-04-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/POTFILES.in: Add missing files to translatable
	files entries in core.

2011-04-18  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: 
	Calculate properly the decision to stay on a blinepoint or a width
	point based on the relative position and the step taken.

2011-04-18  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Add
	documentation

2011-04-18  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: 
	Calculate properly the blinepoints position over the bline.
	Previously using the sum of the bezier's size caused a floating
	point error at the last blinepoint obtaining 0.99999999999999999
	instead of 1.0 placing the blinepoint not exactly at the end of the
	bline. This caused enless loops in some particular cases of number
	of blinepoints.  Using multiplication instead of sum, solved the
	problem.

2011-04-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix and
	add some documentation

2011-04-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Typo

2011-04-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	typos in one of the previous commits that make the bug not be solved
	for end tip.

2011-04-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Add
	code to render rounded corners.

2011-04-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix bug
	of bad render of start (end) tip when the first (last) widthpoint
	has side type before (after) set to interpolate and it is at 0.0
	(1.0).  User expects the tip to have the same type of the layer's
	start (end) tip.

2011-04-12  tux <tux@tux-desktop.(none)>

	* : Merge commit 'origin/genete_advanced_outline' into
	zelgadis_master

2011-04-07  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* : Merge commit 'origin/genete_advanced_outline' into
	zelgadis_master

2011-04-06  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix bad
	render of the first widthpoint.

2011-04-04  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* : Merge commit 'origin/genete_advanced_outline' into
	zelgadis_master

2011-04-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Make
	cusps like regular outlines. Fix last cusp not rendered previously.
	Add some documentation.

2011-04-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Make
	cusps like regular outlines. Fix last cusp not rendered previously.
	Add some documentation.

2011-04-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp: Inserting new
	widthpoint items now works correctly.

2011-04-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Partially fix create a
	new widthpoint entry using the contextual menu.  TODO: when the
	first widthpoint is used to insert, calculate the width correctly.

2011-04-01  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix bad
	tip render due to previous commit that fixed other render artifact.
	Extra points not needed.

2011-03-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix bad
	render in some special situations

2011-03-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: By
	default, make the Advanced Outline look similar to the old Outline.

2011-03-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Use
	expand parameter when rendering.

2011-03-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: 
	Effectively use the start and end tips parameters when render the
	outline.

2011-03-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Add
	start_tip and end_tip parameters for the bline start and end
	blinepoints and use the rounded type by default

2011-03-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Remove
	round tip parameter

2011-03-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp: Add documentation

2011-03-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp: Use new smooth
	formulation. New one has first and second derivatives equal to zero
	on both ends.  It approximates the old Homogeneous render when
	smoothness is 0.5, giving more smooth result for 1.0

2011-03-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Effectively use the
	smoothness when rendering.  Fix error done in the previous commit
	where interpolation code was wrong.

2011-03-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Replace
	homogeneous width by smoothness. It controls the interpolation
	between widthpoints

2011-03-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Add new parameter to
	control the interpolation smoothness.

2011-03-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Remove
	unused headers and update my copyrights and description

2011-03-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix one
	more render artifact due to bad initialisation of position for
	iteration cycle.

2011-03-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/widthpoint.h: Add Flat tip type and use
	rounded tips for the newly created bline

2011-03-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Add
	squared and peak tip types and fix some more render artifacts.

2011-03-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	wrong cusp added when not needed.

2011-03-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp: Fix bad render for
	the case of single widthpoint in a looped bline and one side not
	interpolate

2011-03-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix bad
	render on after tip due to last commit changes

2011-03-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Add member to compare two
	withpoints

2011-03-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix bad
	render for first cusp when the bline is looped.

2011-03-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Don't
	avoid do the first cusp.

2011-03-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: 
	Increase the number of steps for better render quality.

2011-03-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	various render artifacts for certain withpoints side type
	interpolations and bline looped

2011-03-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	white line on rounde tips

2011-03-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix bad
	render when ipos is exactly at the widhtpoint position. Also fix
	endless loop due to a bad end iterator initialisation.

2011-03-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	some render glitches. Still having unfixed ones.

2011-03-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: First
	attempt for the new render routine

2011-02-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: New add
	cusp member

2011-02-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	cusps render to use interpolated width.

2011-02-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: New add_tip
	member for general tip render. Only rounded type at the moment.

2011-02-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Add two new
	functions to convert between bezier and bline positions

2011-02-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Clean
	up debug info and not used code.

2011-02-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Avoid
	endless loops when the increment is too small

2011-02-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	wrong calculation of next width point in many cases.

2011-02-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Initial
	render routine draft. It has some glitches to be fixed

2011-02-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Add
	comments

2011-02-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Add
	code to collect the widthpoints that are in a bezier and insert two
	fake width points at the bezier's blinepoints positions.  Later
	those collected widthpoints and the two fake ones would be iterated
	to produce the outline sections

2011-02-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Sort
	the wplist at start to get a last widthpoint for each bezier

2011-02-06  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp: Rewrite
	widthpoint_interpolate member function to catch up all cases.

2011-02-06  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp: Fix normalised position
	member to handle properly negative values

2011-02-06  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: When
	collecting widthpoints in a bezier, include the boundaries

2011-02-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Use the normalised position to
	compare width points

2011-02-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Collect
	width points between boundaries of each bezier and sort them

2011-02-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: b_end
	>> bend

2011-02-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h,
	synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Move the interpolate function
	between width points outside width point list class

2011-02-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Rename
	iter to biter and next to bnext to distinguish from the iterators of
	the wplist.

2011-01-30  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Remove more
	unused variables and parameters. Rename loop to blineloop.

2011-01-30  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Remove
	unused variable

2011-01-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Avoid
	that width points doesn't follow the bline when the origin of the
	layer moves.

2011-01-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/savecanvas.cpp,
	synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Get ride of Hidden Vertex since
	it is not longer needed.

2011-01-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: If a
	wplist is connected then try to connect the bline to it.

2011-01-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Avoid compiler complains

2011-01-23  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp: Avoid C++ warning

2011-01-23  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Store the bline handle in
	the ValueNode_WPList

2011-01-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: When inserting new width
	points by user action use the internal create_list_entry method.
	Initially it is always created at position 0.0

2011-01-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/loadcanvas.h,
	synfig-core/src/synfig/savecanvas.cpp: Allow load and save non
	composite width points.

2011-01-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp: Don't let create()
	method allow convert blines to wplists. That will cause bad types
	for the layer.

2011-01-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Initial
	draft to handle bline parameter connection at advanced outline layer

2011-01-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Tidy up

2011-01-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.h: Change connect/disconnect dynamic
	parameter to be virtual members.

2011-01-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.h: Hidden Vertex is not mutable.

2011-01-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Fix
	wrong index when setting parameter

2011-01-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_composite.cpp: Do not make not
	critical the hidden vertex. It is needed to load the value node form
	file.

2011-01-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Don't
	add width ducks from the bline of an advanced outline.

2011-01-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h: Post
	underscore private members and clean up not used and conditional
	code.

2011-01-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/advanced_outline.cpp: Insert
	only two width points with custom values at constructor.

2011-01-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/Makefile.am,
	synfig-core/src/modules/mod_geometry/advanced_outline.cpp,
	synfig-core/src/modules/mod_geometry/advanced_outline.h,
	synfig-core/src/modules/mod_geometry/main.cpp: Initial version of
	the Advanced Outline

2011-01-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/savecanvas.cpp: Don't save to file not
	critical subparameters

2011-01-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_composite.cpp: Fix forgotten
	assert check and nasty typo.

2011-01-13  Carlos Lopez <genetita@gmail.com>

	* : commit f112a004654c936c71ba284aebe16c35a6422799 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Thu Jan 13 11:24:34 2011 +0100

2011-01-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Rename 'cup' to 'side' at Width
	Point class and where it is used.

2011-01-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/savecanvas.cpp: Make loadcanvas and
	savecanvas understand ValueNode_WPList class

2011-01-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/releases.h,
	synfig-core/src/synfig/valuenode.cpp: Add ValueNode_WPList in the
	Valuenode book

2011-01-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp: Use lower case letter
	for value node names

2011-01-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/valuenode_wplist.cpp: Let Composite Value
	Node handle WidthPoint value type

2011-01-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/Makefile.am,
	synfig-core/src/synfig/value.h,
	synfig-core/src/synfig/valuenode_dynamiclist.h,
	synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h,
	synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Fix compiler errors and include
	valuenode_wplist in Makefile.am

2011-01-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Interpolation depends on
	cup type. Use normalised positions in calculations

2011-01-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Use normalised position [0,1]
	to work and store the position as (-inf, inf)

2011-01-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Code find next and
	previous valid entries by position ValueNode_WPList members.

2011-01-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp: End fixing
	ValueNode_WPList

2011-01-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Minor corrections

2011-01-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h,
	synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Fix
	ValueNode_WPList::operator(): work in progress

2011-01-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h,
	synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Fix create_new_entry member
	function

2010-12-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_noise/valuenode_random.cpp,
	synfig-core/src/modules/mod_noise/valuenode_random.h,
	synfig-core/src/synfig/valuenode_add.cpp,
	synfig-core/src/synfig/valuenode_add.h,
	synfig-core/src/synfig/valuenode_and.cpp,
	synfig-core/src/synfig/valuenode_and.h,
	synfig-core/src/synfig/valuenode_anglestring.cpp,
	synfig-core/src/synfig/valuenode_anglestring.h,
	synfig-core/src/synfig/valuenode_atan2.cpp,
	synfig-core/src/synfig/valuenode_atan2.h,
	synfig-core/src/synfig/valuenode_blinecalctangent.cpp,
	synfig-core/src/synfig/valuenode_blinecalctangent.h,
	synfig-core/src/synfig/valuenode_blinecalcvertex.cpp,
	synfig-core/src/synfig/valuenode_blinecalcvertex.h,
	synfig-core/src/synfig/valuenode_blinecalcwidth.cpp,
	synfig-core/src/synfig/valuenode_blinecalcwidth.h,
	synfig-core/src/synfig/valuenode_blinereversetangent.cpp,
	synfig-core/src/synfig/valuenode_blinereversetangent.h,
	synfig-core/src/synfig/valuenode_compare.cpp,
	synfig-core/src/synfig/valuenode_compare.h,
	synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/valuenode_composite.h,
	synfig-core/src/synfig/valuenode_cos.cpp,
	synfig-core/src/synfig/valuenode_cos.h,
	synfig-core/src/synfig/valuenode_dotproduct.cpp,
	synfig-core/src/synfig/valuenode_dotproduct.h,
	synfig-core/src/synfig/valuenode_duplicate.cpp,
	synfig-core/src/synfig/valuenode_duplicate.h,
	synfig-core/src/synfig/valuenode_exp.cpp,
	synfig-core/src/synfig/valuenode_exp.h,
	synfig-core/src/synfig/valuenode_gradientcolor.cpp,
	synfig-core/src/synfig/valuenode_gradientcolor.h,
	synfig-core/src/synfig/valuenode_gradientrotate.cpp,
	synfig-core/src/synfig/valuenode_gradientrotate.h,
	synfig-core/src/synfig/valuenode_integer.cpp,
	synfig-core/src/synfig/valuenode_integer.h,
	synfig-core/src/synfig/valuenode_intstring.cpp,
	synfig-core/src/synfig/valuenode_intstring.h,
	synfig-core/src/synfig/valuenode_join.cpp,
	synfig-core/src/synfig/valuenode_join.h,
	synfig-core/src/synfig/valuenode_linear.cpp,
	synfig-core/src/synfig/valuenode_linear.h,
	synfig-core/src/synfig/valuenode_log.cpp,
	synfig-core/src/synfig/valuenode_log.h,
	synfig-core/src/synfig/valuenode_not.cpp,
	synfig-core/src/synfig/valuenode_not.h,
	synfig-core/src/synfig/valuenode_or.cpp,
	synfig-core/src/synfig/valuenode_or.h,
	synfig-core/src/synfig/valuenode_pow.cpp,
	synfig-core/src/synfig/valuenode_pow.h,
	synfig-core/src/synfig/valuenode_radialcomposite.cpp,
	synfig-core/src/synfig/valuenode_radialcomposite.h,
	synfig-core/src/synfig/valuenode_range.cpp,
	synfig-core/src/synfig/valuenode_range.h,
	synfig-core/src/synfig/valuenode_realstring.cpp,
	synfig-core/src/synfig/valuenode_realstring.h,
	synfig-core/src/synfig/valuenode_reciprocal.cpp,
	synfig-core/src/synfig/valuenode_reciprocal.h,
	synfig-core/src/synfig/valuenode_reference.cpp,
	synfig-core/src/synfig/valuenode_reference.h,
	synfig-core/src/synfig/valuenode_repeat_gradient.cpp,
	synfig-core/src/synfig/valuenode_repeat_gradient.h,
	synfig-core/src/synfig/valuenode_scale.cpp,
	synfig-core/src/synfig/valuenode_scale.h,
	synfig-core/src/synfig/valuenode_segcalctangent.cpp,
	synfig-core/src/synfig/valuenode_segcalctangent.h,
	synfig-core/src/synfig/valuenode_segcalcvertex.cpp,
	synfig-core/src/synfig/valuenode_segcalcvertex.h,
	synfig-core/src/synfig/valuenode_sine.cpp,
	synfig-core/src/synfig/valuenode_sine.h,
	synfig-core/src/synfig/valuenode_step.cpp,
	synfig-core/src/synfig/valuenode_step.h,
	synfig-core/src/synfig/valuenode_stripes.cpp,
	synfig-core/src/synfig/valuenode_stripes.h,
	synfig-core/src/synfig/valuenode_subtract.cpp,
	synfig-core/src/synfig/valuenode_subtract.h,
	synfig-core/src/synfig/valuenode_switch.cpp,
	synfig-core/src/synfig/valuenode_switch.h,
	synfig-core/src/synfig/valuenode_timedswap.cpp,
	synfig-core/src/synfig/valuenode_timedswap.h,
	synfig-core/src/synfig/valuenode_timeloop.cpp,
	synfig-core/src/synfig/valuenode_timeloop.h,
	synfig-core/src/synfig/valuenode_timestring.cpp,
	synfig-core/src/synfig/valuenode_timestring.h,
	synfig-core/src/synfig/valuenode_twotone.cpp,
	synfig-core/src/synfig/valuenode_twotone.h,
	synfig-core/src/synfig/valuenode_vectorangle.cpp,
	synfig-core/src/synfig/valuenode_vectorangle.h,
	synfig-core/src/synfig/valuenode_vectorlength.cpp,
	synfig-core/src/synfig/valuenode_vectorlength.h,
	synfig-core/src/synfig/valuenode_vectorx.cpp,
	synfig-core/src/synfig/valuenode_vectorx.h,
	synfig-core/src/synfig/valuenode_vectory.cpp,
	synfig-core/src/synfig/valuenode_vectory.h: Use LinkableValueNode
	members functions when possible in the derived valuenodes.

2010-12-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode.cpp,
	synfig-core/src/synfig/valuenode.h: Use const qualifier for
	set_children_vocab parameter

2010-12-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_noise/valuenode_random.cpp,
	synfig-core/src/synfig/valuenode.cpp,
	synfig-core/src/synfig/valuenode.h,
	synfig-core/src/synfig/valuenode_add.cpp,
	synfig-core/src/synfig/valuenode_and.cpp,
	synfig-core/src/synfig/valuenode_anglestring.cpp,
	synfig-core/src/synfig/valuenode_atan2.cpp,
	synfig-core/src/synfig/valuenode_blinecalctangent.cpp,
	synfig-core/src/synfig/valuenode_blinecalcvertex.cpp,
	synfig-core/src/synfig/valuenode_blinecalcwidth.cpp,
	synfig-core/src/synfig/valuenode_blinereversetangent.cpp,
	synfig-core/src/synfig/valuenode_compare.cpp,
	synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/valuenode_cos.cpp,
	synfig-core/src/synfig/valuenode_dotproduct.cpp,
	synfig-core/src/synfig/valuenode_duplicate.cpp,
	synfig-core/src/synfig/valuenode_exp.cpp,
	synfig-core/src/synfig/valuenode_gradientcolor.cpp,
	synfig-core/src/synfig/valuenode_gradientrotate.cpp,
	synfig-core/src/synfig/valuenode_greyed.cpp,
	synfig-core/src/synfig/valuenode_integer.cpp,
	synfig-core/src/synfig/valuenode_intstring.cpp,
	synfig-core/src/synfig/valuenode_join.cpp,
	synfig-core/src/synfig/valuenode_linear.cpp,
	synfig-core/src/synfig/valuenode_log.cpp,
	synfig-core/src/synfig/valuenode_not.cpp,
	synfig-core/src/synfig/valuenode_or.cpp,
	synfig-core/src/synfig/valuenode_pow.cpp,
	synfig-core/src/synfig/valuenode_radialcomposite.cpp,
	synfig-core/src/synfig/valuenode_range.cpp,
	synfig-core/src/synfig/valuenode_realstring.cpp,
	synfig-core/src/synfig/valuenode_reciprocal.cpp,
	synfig-core/src/synfig/valuenode_reference.cpp,
	synfig-core/src/synfig/valuenode_repeat_gradient.cpp,
	synfig-core/src/synfig/valuenode_scale.cpp,
	synfig-core/src/synfig/valuenode_segcalctangent.cpp,
	synfig-core/src/synfig/valuenode_segcalcvertex.cpp,
	synfig-core/src/synfig/valuenode_sine.cpp,
	synfig-core/src/synfig/valuenode_step.cpp,
	synfig-core/src/synfig/valuenode_stripes.cpp,
	synfig-core/src/synfig/valuenode_subtract.cpp,
	synfig-core/src/synfig/valuenode_switch.cpp,
	synfig-core/src/synfig/valuenode_timedswap.cpp,
	synfig-core/src/synfig/valuenode_timeloop.cpp,
	synfig-core/src/synfig/valuenode_timestring.cpp,
	synfig-core/src/synfig/valuenode_twotone.cpp,
	synfig-core/src/synfig/valuenode_vectorangle.cpp,
	synfig-core/src/synfig/valuenode_vectorlength.cpp,
	synfig-core/src/synfig/valuenode_vectorx.cpp,
	synfig-core/src/synfig/valuenode_vectory.cpp: Use link_count from
	children vocabulary and return the stored vocabulary if already was
	set. Store the children vocabulary at construction time

2010-12-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_noise/valuenode_random.cpp,
	synfig-core/src/modules/mod_noise/valuenode_random.h,
	synfig-core/src/synfig/valuenode.cpp,
	synfig-core/src/synfig/valuenode.h,
	synfig-core/src/synfig/valuenode_add.cpp,
	synfig-core/src/synfig/valuenode_add.h,
	synfig-core/src/synfig/valuenode_and.cpp,
	synfig-core/src/synfig/valuenode_and.h,
	synfig-core/src/synfig/valuenode_anglestring.cpp,
	synfig-core/src/synfig/valuenode_anglestring.h,
	synfig-core/src/synfig/valuenode_atan2.cpp,
	synfig-core/src/synfig/valuenode_atan2.h,
	synfig-core/src/synfig/valuenode_bline.cpp,
	synfig-core/src/synfig/valuenode_bline.h,
	synfig-core/src/synfig/valuenode_blinecalctangent.cpp,
	synfig-core/src/synfig/valuenode_blinecalctangent.h,
	synfig-core/src/synfig/valuenode_blinecalcvertex.cpp,
	synfig-core/src/synfig/valuenode_blinecalcvertex.h,
	synfig-core/src/synfig/valuenode_blinecalcwidth.cpp,
	synfig-core/src/synfig/valuenode_blinecalcwidth.h,
	synfig-core/src/synfig/valuenode_blinereversetangent.cpp,
	synfig-core/src/synfig/valuenode_blinereversetangent.h,
	synfig-core/src/synfig/valuenode_compare.cpp,
	synfig-core/src/synfig/valuenode_compare.h,
	synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/valuenode_composite.h,
	synfig-core/src/synfig/valuenode_cos.cpp,
	synfig-core/src/synfig/valuenode_cos.h,
	synfig-core/src/synfig/valuenode_dotproduct.cpp,
	synfig-core/src/synfig/valuenode_dotproduct.h,
	synfig-core/src/synfig/valuenode_duplicate.cpp,
	synfig-core/src/synfig/valuenode_duplicate.h,
	synfig-core/src/synfig/valuenode_dynamiclist.cpp,
	synfig-core/src/synfig/valuenode_dynamiclist.h,
	synfig-core/src/synfig/valuenode_exp.cpp,
	synfig-core/src/synfig/valuenode_exp.h,
	synfig-core/src/synfig/valuenode_gradientcolor.cpp,
	synfig-core/src/synfig/valuenode_gradientcolor.h,
	synfig-core/src/synfig/valuenode_gradientrotate.cpp,
	synfig-core/src/synfig/valuenode_gradientrotate.h,
	synfig-core/src/synfig/valuenode_greyed.cpp,
	synfig-core/src/synfig/valuenode_greyed.h,
	synfig-core/src/synfig/valuenode_integer.cpp,
	synfig-core/src/synfig/valuenode_integer.h,
	synfig-core/src/synfig/valuenode_intstring.cpp,
	synfig-core/src/synfig/valuenode_intstring.h,
	synfig-core/src/synfig/valuenode_join.cpp,
	synfig-core/src/synfig/valuenode_join.h,
	synfig-core/src/synfig/valuenode_linear.cpp,
	synfig-core/src/synfig/valuenode_linear.h,
	synfig-core/src/synfig/valuenode_log.cpp,
	synfig-core/src/synfig/valuenode_log.h,
	synfig-core/src/synfig/valuenode_not.cpp,
	synfig-core/src/synfig/valuenode_not.h,
	synfig-core/src/synfig/valuenode_or.cpp,
	synfig-core/src/synfig/valuenode_or.h,
	synfig-core/src/synfig/valuenode_pow.cpp,
	synfig-core/src/synfig/valuenode_pow.h,
	synfig-core/src/synfig/valuenode_radialcomposite.cpp,
	synfig-core/src/synfig/valuenode_radialcomposite.h,
	synfig-core/src/synfig/valuenode_range.cpp,
	synfig-core/src/synfig/valuenode_range.h,
	synfig-core/src/synfig/valuenode_realstring.cpp,
	synfig-core/src/synfig/valuenode_realstring.h,
	synfig-core/src/synfig/valuenode_reciprocal.cpp,
	synfig-core/src/synfig/valuenode_reciprocal.h,
	synfig-core/src/synfig/valuenode_reference.cpp,
	synfig-core/src/synfig/valuenode_reference.h,
	synfig-core/src/synfig/valuenode_repeat_gradient.cpp,
	synfig-core/src/synfig/valuenode_repeat_gradient.h,
	synfig-core/src/synfig/valuenode_scale.cpp,
	synfig-core/src/synfig/valuenode_scale.h,
	synfig-core/src/synfig/valuenode_segcalctangent.cpp,
	synfig-core/src/synfig/valuenode_segcalctangent.h,
	synfig-core/src/synfig/valuenode_segcalcvertex.cpp,
	synfig-core/src/synfig/valuenode_segcalcvertex.h,
	synfig-core/src/synfig/valuenode_sine.cpp,
	synfig-core/src/synfig/valuenode_sine.h,
	synfig-core/src/synfig/valuenode_step.cpp,
	synfig-core/src/synfig/valuenode_step.h,
	synfig-core/src/synfig/valuenode_stripes.cpp,
	synfig-core/src/synfig/valuenode_stripes.h,
	synfig-core/src/synfig/valuenode_subtract.cpp,
	synfig-core/src/synfig/valuenode_subtract.h,
	synfig-core/src/synfig/valuenode_switch.cpp,
	synfig-core/src/synfig/valuenode_switch.h,
	synfig-core/src/synfig/valuenode_timedswap.cpp,
	synfig-core/src/synfig/valuenode_timedswap.h,
	synfig-core/src/synfig/valuenode_timeloop.cpp,
	synfig-core/src/synfig/valuenode_timeloop.h,
	synfig-core/src/synfig/valuenode_timestring.cpp,
	synfig-core/src/synfig/valuenode_timestring.h,
	synfig-core/src/synfig/valuenode_twotone.cpp,
	synfig-core/src/synfig/valuenode_twotone.h,
	synfig-core/src/synfig/valuenode_vectorangle.cpp,
	synfig-core/src/synfig/valuenode_vectorangle.h,
	synfig-core/src/synfig/valuenode_vectorlength.cpp,
	synfig-core/src/synfig/valuenode_vectorlength.h,
	synfig-core/src/synfig/valuenode_vectorx.cpp,
	synfig-core/src/synfig/valuenode_vectorx.h,
	synfig-core/src/synfig/valuenode_vectory.cpp,
	synfig-core/src/synfig/valuenode_vectory.h: Rename get_param_vocab
	to get_children_vocab and use a wrapper for the pure virtual
	get_children_vocab_vfunc member

2010-12-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_add.cpp,
	synfig-core/src/synfig/valuenode_add.h,
	synfig-core/src/synfig/valuenode_and.cpp,
	synfig-core/src/synfig/valuenode_and.h,
	synfig-core/src/synfig/valuenode_anglestring.cpp,
	synfig-core/src/synfig/valuenode_anglestring.h: Use ancestor's
	link_local_name(int i), link_name(i) and
	get_link_index_from_name(String &name) member functions for some
	value nodes

2010-12-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode.cpp,
	synfig-core/src/synfig/valuenode.h: Make link_name(),
	link_local_name, and get_link_index_from_name non pure virtual
	functions

2010-12-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode.cpp,
	synfig-core/src/synfig/valuenode.h: Do not use
	get_param_vocab().size() as link counter. It is too slow.

2010-12-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_noise/valuenode_random.cpp,
	synfig-core/src/modules/mod_noise/valuenode_random.h,
	synfig-core/src/synfig/valuenode.cpp,
	synfig-core/src/synfig/valuenode.h,
	synfig-core/src/synfig/valuenode_add.cpp,
	synfig-core/src/synfig/valuenode_add.h,
	synfig-core/src/synfig/valuenode_and.cpp,
	synfig-core/src/synfig/valuenode_and.h,
	synfig-core/src/synfig/valuenode_anglestring.cpp,
	synfig-core/src/synfig/valuenode_anglestring.h,
	synfig-core/src/synfig/valuenode_atan2.cpp,
	synfig-core/src/synfig/valuenode_atan2.h,
	synfig-core/src/synfig/valuenode_bline.cpp,
	synfig-core/src/synfig/valuenode_bline.h,
	synfig-core/src/synfig/valuenode_blinecalctangent.cpp,
	synfig-core/src/synfig/valuenode_blinecalctangent.h,
	synfig-core/src/synfig/valuenode_blinecalcvertex.cpp,
	synfig-core/src/synfig/valuenode_blinecalcvertex.h,
	synfig-core/src/synfig/valuenode_blinecalcwidth.cpp,
	synfig-core/src/synfig/valuenode_blinecalcwidth.h,
	synfig-core/src/synfig/valuenode_blinereversetangent.cpp,
	synfig-core/src/synfig/valuenode_blinereversetangent.h,
	synfig-core/src/synfig/valuenode_compare.cpp,
	synfig-core/src/synfig/valuenode_compare.h,
	synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/valuenode_composite.h,
	synfig-core/src/synfig/valuenode_cos.cpp,
	synfig-core/src/synfig/valuenode_cos.h,
	synfig-core/src/synfig/valuenode_dotproduct.cpp,
	synfig-core/src/synfig/valuenode_dotproduct.h,
	synfig-core/src/synfig/valuenode_duplicate.cpp,
	synfig-core/src/synfig/valuenode_duplicate.h,
	synfig-core/src/synfig/valuenode_dynamiclist.cpp,
	synfig-core/src/synfig/valuenode_dynamiclist.h,
	synfig-core/src/synfig/valuenode_exp.cpp,
	synfig-core/src/synfig/valuenode_exp.h,
	synfig-core/src/synfig/valuenode_gradientcolor.cpp,
	synfig-core/src/synfig/valuenode_gradientcolor.h,
	synfig-core/src/synfig/valuenode_gradientrotate.cpp,
	synfig-core/src/synfig/valuenode_gradientrotate.h,
	synfig-core/src/synfig/valuenode_greyed.cpp,
	synfig-core/src/synfig/valuenode_greyed.h,
	synfig-core/src/synfig/valuenode_integer.cpp,
	synfig-core/src/synfig/valuenode_integer.h,
	synfig-core/src/synfig/valuenode_intstring.cpp,
	synfig-core/src/synfig/valuenode_intstring.h,
	synfig-core/src/synfig/valuenode_join.cpp,
	synfig-core/src/synfig/valuenode_join.h,
	synfig-core/src/synfig/valuenode_linear.cpp,
	synfig-core/src/synfig/valuenode_linear.h,
	synfig-core/src/synfig/valuenode_log.cpp,
	synfig-core/src/synfig/valuenode_log.h,
	synfig-core/src/synfig/valuenode_not.cpp,
	synfig-core/src/synfig/valuenode_not.h,
	synfig-core/src/synfig/valuenode_or.cpp,
	synfig-core/src/synfig/valuenode_or.h,
	synfig-core/src/synfig/valuenode_pow.cpp,
	synfig-core/src/synfig/valuenode_pow.h,
	synfig-core/src/synfig/valuenode_radialcomposite.cpp,
	synfig-core/src/synfig/valuenode_radialcomposite.h,
	synfig-core/src/synfig/valuenode_range.cpp,
	synfig-core/src/synfig/valuenode_range.h,
	synfig-core/src/synfig/valuenode_realstring.cpp,
	synfig-core/src/synfig/valuenode_realstring.h,
	synfig-core/src/synfig/valuenode_reciprocal.cpp,
	synfig-core/src/synfig/valuenode_reciprocal.h,
	synfig-core/src/synfig/valuenode_reference.cpp,
	synfig-core/src/synfig/valuenode_reference.h,
	synfig-core/src/synfig/valuenode_repeat_gradient.cpp,
	synfig-core/src/synfig/valuenode_repeat_gradient.h,
	synfig-core/src/synfig/valuenode_scale.cpp,
	synfig-core/src/synfig/valuenode_scale.h,
	synfig-core/src/synfig/valuenode_segcalctangent.cpp,
	synfig-core/src/synfig/valuenode_segcalctangent.h,
	synfig-core/src/synfig/valuenode_segcalcvertex.cpp,
	synfig-core/src/synfig/valuenode_segcalcvertex.h,
	synfig-core/src/synfig/valuenode_sine.cpp,
	synfig-core/src/synfig/valuenode_sine.h,
	synfig-core/src/synfig/valuenode_step.cpp,
	synfig-core/src/synfig/valuenode_step.h,
	synfig-core/src/synfig/valuenode_stripes.cpp,
	synfig-core/src/synfig/valuenode_stripes.h,
	synfig-core/src/synfig/valuenode_subtract.cpp,
	synfig-core/src/synfig/valuenode_subtract.h,
	synfig-core/src/synfig/valuenode_switch.cpp,
	synfig-core/src/synfig/valuenode_switch.h,
	synfig-core/src/synfig/valuenode_timedswap.cpp,
	synfig-core/src/synfig/valuenode_timedswap.h,
	synfig-core/src/synfig/valuenode_timeloop.cpp,
	synfig-core/src/synfig/valuenode_timeloop.h,
	synfig-core/src/synfig/valuenode_timestring.cpp,
	synfig-core/src/synfig/valuenode_timestring.h,
	synfig-core/src/synfig/valuenode_twotone.cpp,
	synfig-core/src/synfig/valuenode_twotone.h,
	synfig-core/src/synfig/valuenode_vectorangle.cpp,
	synfig-core/src/synfig/valuenode_vectorangle.h,
	synfig-core/src/synfig/valuenode_vectorlength.cpp,
	synfig-core/src/synfig/valuenode_vectorlength.h,
	synfig-core/src/synfig/valuenode_vectorx.cpp,
	synfig-core/src/synfig/valuenode_vectorx.h,
	synfig-core/src/synfig/valuenode_vectory.cpp,
	synfig-core/src/synfig/valuenode_vectory.h: Enable Parameter
	Description for Linkable Value Nodes using ParamDesc class.

2010-12-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_anglestring.cpp: Avoid negative
	precision to produce good strings always and add U+00B0 DEGREE SIGN

2010-11-24  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/synfig/canvas.cpp: Change
	sigc::connection::connection to sigc::connection

2010-11-26  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/tool/Makefile.am: Fix whitespace error in
	Makefile.am

2010-12-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_wplist.cpp,
	synfig-core/src/synfig/valuenode_wplist.h: Initial import of
	ValueNode_WPList class

2010-12-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Add some needed members to
	WidthPoint class

2010-11-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/Makefile.am,
	synfig-core/src/synfig/value.cpp, synfig-core/src/synfig/value.h,
	synfig-core/src/synfig/widthpoint.cpp,
	synfig-core/src/synfig/widthpoint.h: Width Point class
	initialisation

2010-12-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/import.cpp,
	synfig-core/src/modules/lyr_std/twirl.cpp,
	synfig-core/src/modules/lyr_std/xorpattern.cpp,
	synfig-core/src/modules/mod_example/filledrect.cpp,
	synfig-core/src/modules/mod_example/simplecircle.cpp,
	synfig-core/src/modules/mod_geometry/outline.cpp,
	synfig-core/src/modules/mod_geometry/rectangle.cpp,
	synfig-core/src/modules/mod_geometry/region.cpp,
	synfig-core/src/modules/mod_gradient/radialgradient.cpp,
	synfig-core/src/modules/mod_gradient/spiralgradient.cpp,
	synfig-core/src/modules/mod_particle/plant.cpp,
	synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_polygon.cpp,
	synfig-core/src/synfig/layer_solidcolor.cpp: More descriptions for
	layer parameters

2010-12-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/clamp.cpp,
	synfig-core/src/modules/lyr_std/curvewarp.cpp,
	synfig-core/src/modules/lyr_std/sphere_distort.cpp,
	synfig-core/src/modules/lyr_std/stretch.cpp,
	synfig-core/src/modules/lyr_std/supersample.cpp,
	synfig-core/src/modules/lyr_std/timeloop.cpp,
	synfig-core/src/modules/lyr_std/warp.cpp,
	synfig-core/src/modules/mod_example/filledrect.cpp,
	synfig-core/src/modules/mod_geometry/checkerboard.cpp,
	synfig-core/src/modules/mod_geometry/circle.cpp,
	synfig-core/src/modules/mod_gradient/conicalgradient.cpp,
	synfig-core/src/modules/mod_gradient/curvegradient.cpp,
	synfig-core/src/modules/mod_gradient/lineargradient.cpp,
	synfig-core/src/modules/mod_noise/distort.cpp,
	synfig-core/src/modules/mod_noise/noise.cpp,
	synfig-core/src/synfig/layer.cpp,
	synfig-core/src/synfig/layer_composite.cpp: Set the description of
	some parameters

2010-11-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/general.h: Fix synfig::ChangleLocale class.
	It wasn't backing up the old locale so it didn't restore it back
	when the class destructor was called.

2010-11-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Update NEWS files

2010-11-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/es.po: Small update for Spanish translation

2010-11-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/src/synfig/releases.h: 
	Mofidy files to point to release 0.62.02

2010-11-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_bmp/mptr_bmp.cpp,
	synfig-core/src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	synfig-core/src/modules/mod_jpeg/mptr_jpeg.cpp,
	synfig-core/src/modules/mod_openexr/mptr_openexr.cpp,
	synfig-core/src/modules/mod_png/mptr_png.cpp,
	synfig-core/src/modules/mod_ppm/mptr_ppm.cpp: Avoid some warnings
	for unused parameter.

2010-11-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/README: Update Authors and Readme files.

2010-11-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Update News files ready to release.

2010-11-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump configure files to support Release
	Candidate #2

2010-10-25  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/time.cpp: Assume frames when no unit
	provided in a time field. Apply feature request ID: 2879693

2010-10-23  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/zh_CN.po: Updated Simplified Chinese translation.
	Yu Chen (jcome)

2010-10-23  Carlos Lopez <genetita@gmail.com>

	* synfig-core/TODO, synfig-core/configure.ac,
	synfig-core/po/Makevars: Update Bugs web address

2010-10-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/es.po: Updated Spanish translation

2010-10-14  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/configure.ac: Mark release candidate different way in
	version number.

2010-10-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump version numbers for RC1

2010-09-17  Carlos Lopez <genetita@gmail.com>

	* : commit d1041a413264492a5bba12ebfa7d0cbd67ce1cff Author: Carlos
	Lopez <genetita@gmail.com> Date:   Sat Sep 11 17:38:43 2010 +0200

2010-09-05  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/synfig/valuenode_range.cpp,
	synfig-core/src/synfig/valuenode_scale.cpp: Move reverse
	manipulation code into ValueDescSet action Allows for changing ValueNodes previously manipulatable only via
	ducks.

2010-09-01  Carlos Lopez <genetita@gmail.com>

	* : commit e8ab6948f86c6d6ad69378fcccd858b6cb5b45b2 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Sun Aug 29 17:31:45 2010 +0200

2010-08-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/clamp.cpp,
	synfig-core/src/modules/lyr_std/julia.cpp,
	synfig-core/src/modules/lyr_std/mandelbrot.cpp,
	synfig-core/src/modules/mod_filter/lumakey.cpp,
	synfig-core/src/modules/mod_geometry/checkerboard.cpp,
	synfig-core/src/modules/mod_geometry/outline.cpp,
	synfig-core/src/modules/mod_geometry/rectangle.cpp,
	synfig-core/src/synfig/layer_polygon.cpp,
	synfig-core/src/synfig/layer_solidcolor.cpp: Add parameter static
	option for more layers

2010-08-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/insideout.cpp,
	synfig-core/src/modules/lyr_std/sphere_distort.cpp,
	synfig-core/src/modules/lyr_std/stretch.cpp,
	synfig-core/src/modules/lyr_std/twirl.cpp,
	synfig-core/src/modules/lyr_std/warp.cpp,
	synfig-core/src/modules/mod_example/filledrect.cpp,
	synfig-core/src/modules/mod_example/metaballs.cpp,
	synfig-core/src/modules/mod_example/simplecircle.cpp,
	synfig-core/src/modules/mod_filter/colorcorrect.cpp,
	synfig-core/src/modules/mod_filter/halftone2.cpp,
	synfig-core/src/modules/mod_filter/halftone3.cpp,
	synfig-core/src/modules/mod_noise/distort.cpp: Add parameter static
	option for various layers

2010-08-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.h: Fix IMPORT_AS macro to support
	set/get static parameter option.

2010-08-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/curvewarp.cpp,
	synfig-core/src/modules/lyr_std/curvewarp.h,
	synfig-core/src/modules/mod_filter/blur.cpp,
	synfig-core/src/modules/mod_filter/blur.h,
	synfig-core/src/modules/mod_filter/radialblur.cpp,
	synfig-core/src/modules/mod_filter/radialblur.h,
	synfig-core/src/modules/mod_geometry/circle.cpp,
	synfig-core/src/modules/mod_geometry/circle.h,
	synfig-core/src/synfig/layer_bitmap.cpp,
	synfig-core/src/synfig/layer_bitmap.h,
	synfig-core/src/synfig/layer_composite.cpp,
	synfig-core/src/synfig/layer_composite.h,
	synfig-core/src/synfig/layer_motionblur.cpp,
	synfig-core/src/synfig/layer_motionblur.h: Remove set and get
	parameter static members in inherited Layer classes since it is not
	needed.

2010-08-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/curvewarp.cpp,
	synfig-core/src/modules/lyr_std/curvewarp.h,
	synfig-core/src/modules/mod_filter/blur.cpp,
	synfig-core/src/modules/mod_filter/blur.h,
	synfig-core/src/modules/mod_filter/radialblur.cpp,
	synfig-core/src/modules/mod_filter/radialblur.h,
	synfig-core/src/modules/mod_geometry/circle.cpp,
	synfig-core/src/modules/mod_geometry/circle.h,
	synfig-core/src/synfig/layer.h,
	synfig-core/src/synfig/layer_bitmap.cpp,
	synfig-core/src/synfig/layer_bitmap.h,
	synfig-core/src/synfig/layer_motionblur.cpp,
	synfig-core/src/synfig/layer_motionblur.h,
	synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_pastecanvas.h: Use map of static values
	indexed by parameter name instead of the macros and the individual
	static members.

2010-08-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_composite.cpp,
	synfig-core/src/synfig/layer_composite.h: Use new method for static
	options in Layer Composite

2010-08-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.cpp, synfig-core/src/synfig/layer.h: 
	Suit a better way to set/get static parameter option and to fill the
	static option.

2010-08-27  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.cpp, synfig-core/src/synfig/layer.h: 
	Use a map of static values instead of hard coded names.  Get the
	parameters names  from the layer parameter vocabulary.

2010-08-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/curvewarp.cpp,
	synfig-core/src/modules/lyr_std/curvewarp.h: Allow static option for
	the Curve Warp Layer

2010-08-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_filter/radialblur.cpp,
	synfig-core/src/modules/mod_filter/radialblur.h: Allow static option
	for the Radial Blur Layer

2010-08-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_filter/blur.cpp,
	synfig-core/src/modules/mod_filter/blur.h: Allow static option for
	the Blur Layer parameters

2010-08-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.cpp, synfig-core/src/synfig/layer.h: 
	Remove under score from the z_depth parameter to allow use the
	macros properly

2010-08-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/circle.cpp: Include invert
	static option I missed before.

2010-08-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.cpp, synfig-core/src/synfig/layer.h: 
	Rename z_depth_static to z_depth__static to make proper use of the
	macros.  Fix load z_depth_ static option properly

2010-08-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/stroboscope.cpp,
	synfig-core/src/modules/lyr_std/stroboscope.h: Rename ratio to
	frequency and don't use the frames per second because it is not
	needed.  Frequency is more intuitive and allows to achieve steady
	strobe (no movement) setting it to zero.  Using ratio it would need
	to set it to infinite to obtain a steady strobe.

2010-08-25  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/POTFILES.in,
	synfig-core/src/modules/lyr_std/Makefile.am,
	synfig-core/src/modules/lyr_std/main.cpp,
	synfig-core/src/modules/lyr_std/stroboscope.cpp,
	synfig-core/src/modules/lyr_std/stroboscope.h,
	synfig-core/src/synfig/context.cpp: New Stroboscope layer. Patch
	from Ray Frederikson

2010-08-25  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/import.cpp,
	synfig-core/src/modules/mod_bmp/mptr_bmp.cpp,
	synfig-core/src/modules/mod_bmp/mptr_bmp.h,
	synfig-core/src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	synfig-core/src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	synfig-core/src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	synfig-core/src/modules/mod_imagemagick/mptr_imagemagick.h,
	synfig-core/src/modules/mod_jpeg/mptr_jpeg.cpp,
	synfig-core/src/modules/mod_jpeg/mptr_jpeg.h,
	synfig-core/src/modules/mod_libavcodec/mptr.cpp,
	synfig-core/src/modules/mod_libavcodec/mptr.h,
	synfig-core/src/modules/mod_openexr/mptr_openexr.cpp,
	synfig-core/src/modules/mod_openexr/mptr_openexr.h,
	synfig-core/src/modules/mod_png/mptr_png.cpp,
	synfig-core/src/modules/mod_png/mptr_png.h,
	synfig-core/src/modules/mod_ppm/mptr_ppm.cpp,
	synfig-core/src/modules/mod_ppm/mptr_ppm.h,
	synfig-core/src/synfig/importer.h,
	synfig-core/src/synfig/listimporter.cpp,
	synfig-core/src/synfig/listimporter.h: Apply patch #2958077. Fix
	incorrect FPS interpolation in ListImporter.  Thanks to Ray
	Frederikson

2010-08-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/savecanvas.cpp: Allow save and load the rest
	of types except list and blinepoint

2010-08-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.cpp: Missed
	initialization

2010-08-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_pastecanvas.h: Fix time offset
	parameter static option

2010-08-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp: Enable load static option
	to the canvas parameter

2010-08-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.cpp: As Paste Canvas
	Layer doesn't use IMPORT macro it is needed to set the static option
	manually.

2010-08-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/savecanvas.cpp: Save static option for canvas
	parameter

2010-08-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/loadcanvas.h,
	synfig-core/src/synfig/savecanvas.cpp: Load and save canvas now
	understand load and save static option for real value base.  It is
	pending all the rest of value base types.

2010-08-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.cpp: Set z depth static value to
	false by default in Layer class.  Previously was unset and get
	random values.  So this fix the "random static on zdepth" bug.

2010-08-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_composite.cpp: When setting a
	parameter in Layer Composite keep the static values of the given
	Value Base.

2010-08-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.cpp: Use macro to import z depth
	parameter for homogeneity.

2010-08-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_pastecanvas.h: Allow paste canvas layer
	to have static parameters.  Children lock is static by default

2010-08-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_motionblur.cpp,
	synfig-core/src/synfig/layer_motionblur.h: Allow motion blur layer
	to have static parameters

2010-08-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_bitmap.cpp,
	synfig-core/src/synfig/layer_bitmap.h: Make bitmap layer parameters
	to be able set static

2010-08-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/circle.cpp: Use macros for
	circle layer

2010-08-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.cpp, synfig-core/src/synfig/layer.h,
	synfig-core/src/synfig/layer_composite.cpp: Use macros for the get
	static and set static members

2010-08-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_geometry/circle.cpp,
	synfig-core/src/modules/mod_geometry/circle.h,
	synfig-core/src/synfig/layer.cpp, synfig-core/src/synfig/layer.h,
	synfig-core/src/synfig/layer_composite.cpp,
	synfig-core/src/synfig/layer_composite.h,
	synfig-core/src/synfig/value.cpp, synfig-core/src/synfig/value.h: 
	Add LayerParamSetStatic and LayerParamUnSetStatic actions.  They
	work only only on Layer, Layer_Composite and Circle classes.  It is
	pending check its functionality and extend to rest of layers
	parameters.  By default blend_method for Composite and invert and
	falloff for circles are now static when creating a new layer.

2010-08-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/value.cpp, synfig-core/src/synfig/value.h,
	synfig-core/src/synfig/valuenode_const.cpp,
	synfig-core/src/synfig/valuenode_const.h: Add Static option for
	Constant Value Nodes and the corresponding action to set and unset
	static.  Pending: Save and load static status.  Add static option
	actions for layer parameters.

2010-08-17  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/value.cpp, synfig-core/src/synfig/value.h: 
	Documentation and code clean for value.h and value.cpp

2010-08-17  Carlos Lopez <genetita@gmail.com>

	* : commit 00e0a55636b3301ee532c6f5f5b7bd0acee05a00 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Tue Aug 17 15:21:21 2010 +0200

2010-08-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/xorpattern.cpp,
	synfig-core/src/modules/mod_example/filledrect.cpp,
	synfig-core/src/modules/mod_example/metaballs.cpp,
	synfig-core/src/modules/mod_example/simplecircle.cpp,
	synfig-core/src/modules/mod_filter/blur.cpp,
	synfig-core/src/modules/mod_filter/radialblur.cpp,
	synfig-core/src/modules/mod_geometry/checkerboard.cpp,
	synfig-core/src/modules/mod_geometry/circle.cpp,
	synfig-core/src/modules/mod_geometry/rectangle.cpp,
	synfig-core/src/modules/mod_gradient/conicalgradient.cpp,
	synfig-core/src/modules/mod_gradient/curvegradient.cpp,
	synfig-core/src/modules/mod_gradient/lineargradient.cpp,
	synfig-core/src/modules/mod_gradient/radialgradient.cpp,
	synfig-core/src/modules/mod_gradient/spiralgradient.cpp,
	synfig-core/src/modules/mod_noise/noise.cpp,
	synfig-core/src/synfig/color.h,
	synfig-core/src/synfig/layer_polygon.cpp,
	synfig-core/src/synfig/layer_solidcolor.cpp: Add "By Layer Default"
	blend method to the Toolbox Defaults widget.  It allows the user let
	the layer itself use the blend method defined by the layer by
	default.  For example, blur layer uses Straight blend method by
	default and Bevel uses Onto.  The default blend methods by layer can
	be discussed or changed later.

2010-08-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/po/zh_CN.po: Simplified
	Chinese translation for Synfig Studio and Synfig Core. Thanks to Yu
	Chen (jcome)

2010-07-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/target_scanline.h,
	synfig-core/src/synfig/target_tile.h: More documentation for target
	tile renderer.

2010-07-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/target_scanline.h: Documentation for
	target_scanline.h

2010-07-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/renddesc.cpp,
	synfig-core/src/synfig/renddesc.h: Documentation for the renddesc.h
	and clean up code for renddesc.cpp

2010-07-28  Carlos Lopez <genetita@gmail.com>

	* : commit eb5f6e771ae901ac25b9a00601cb6ebdbf0f7710 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Tue Jul 27 17:27:27 2010 +0200

2010-07-27  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/importer.h: Reformat
	SYNFIG_IMPORTER_MODULE_EXT to fit in a narrow space

2010-07-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/savecanvas.cpp: Delete commented code and
	add some documentation.

2010-07-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/savecanvas.cpp: Remove unused code for
	savecanvas.h and savecanvas.cpp

2010-07-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/savecanvas.h: Partial documentation for the
	savecanvas.h

2010-07-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.h: Complete documentation for
	loadcanvas.h. Remove unused member declaration.

2010-07-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.h: Partial documentation for
	loadcanvas.h

2010-07-21  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/Makefile.am: Move not used header to extra
	distribution section of make file.

2010-07-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_pastecanvas.h: Documentation for the
	Paste Canvas Layer

2010-07-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.h: Improve documentation for the
	layer.h file

2010-07-18  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.h: Partial documentation
	for the paste canvas layer

2010-07-18  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_composite.cpp,
	synfig-core/src/synfig/layer_composite.h: Documentation for the
	layer composite

2010-07-18  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/context.h: Typo

2010-07-18  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/context.cpp,
	synfig-core/src/synfig/context.h: Documentation for the context
	class

2010-07-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_pastecanvas.cpp: Fix bug #3029832
	Time Offset parameter fails for multiple times imported files.
	canvas->set time not only sets the time but also calls the canvas's
	context set_time.  There are bugs pending though. Live play produces
	bad renders on canvas window.  Output render is fine now.

2010-07-13  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.h: More documentation for canvas.h

2010-07-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/po/en_GB.po: English Great
	Britain translation of Synfig and Synfig Studio. Thanks to Robert
	Readman

2010-07-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.h: More documentation for canvas.h

2010-07-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/canvas.h: Partial documentation for
	canvas.h

2010-07-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_animated.h: More documentation
	for Value Node Animated

2010-07-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_animated.h: Documentation for
	Value Node Animated

2010-07-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_animated.cpp: Remove unused code.  * binary_find is implemented in ETC/misc.h.  * Remove code that use old distance calculation.  * Remove code once the const cast is used for const members.

2010-07-04  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/waypoint.cpp,
	synfig-core/src/synfig/waypoint.h: Documentation for Waypoint class

2010-06-30  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode.h: More Documentation

2010-06-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode.h: Documentation

2010-06-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode.cpp: Clean not used code. This
	code has been disabled since 2005-04-19 so it is not being developed

2010-06-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/node.h: More documentation

2010-06-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/node.cpp: Documentation

2010-06-20  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/node.cpp: Indentation for better reading

2010-06-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/node.cpp: Tidy up

2010-06-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/node.h: Documentation

2010-06-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/node.h: Document node.h

2010-06-16  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/module.h: Dcoument module.h

2010-06-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode.h: Small documentation in the
	valuenode.h

2010-06-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/importer.h: Documentation typo

2010-06-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/module.h: Some documentation in the
	module.h file

2010-06-13  Carlos Lopez <genetita@gmail.com>

	* : commit 93fd70f57db7f3277d3a02f79ba6335173706294 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Sun Jun 13 21:25:57 2010 +0200

2010-06-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer.h: Clean and document layer.h file

2010-06-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_dv/trgt_dv.cpp,
	synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	synfig-core/src/modules/mod_gif/trgt_gif.cpp,
	synfig-core/src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	synfig-core/src/modules/mod_jpeg/trgt_jpeg.cpp,
	synfig-core/src/modules/mod_magickpp/trgt_magickpp.cpp,
	synfig-core/src/modules/mod_mng/trgt_mng.cpp,
	synfig-core/src/modules/mod_openexr/trgt_openexr.cpp,
	synfig-core/src/modules/mod_png/trgt_png.cpp,
	synfig-core/src/modules/mod_ppm/trgt_mpg.cpp,
	synfig-core/src/modules/mod_ppm/trgt_ppm.cpp,
	synfig-core/src/modules/mod_yuv420p/trgt_yuv.cpp: Remove unused
	define no longer used

2010-06-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/lyr_std/stretch.cpp,
	synfig-core/src/modules/mod_bmp/main.cpp,
	synfig-core/src/modules/mod_bmp/mptr_bmp.cpp,
	synfig-core/src/modules/mod_bmp/trgt_bmp.cpp,
	synfig-core/src/modules/mod_libavcodec/main.cpp,
	synfig-core/src/modules/mod_libavcodec/mptr.cpp,
	synfig-core/src/modules/mod_libavcodec/trgt_av.cpp,
	synfig-core/src/modules/mod_svg/main.cpp,
	synfig-core/src/synfig/canvas.cpp, synfig-core/src/synfig/color.h,
	synfig-core/src/synfig/importer.cpp,
	synfig-core/src/synfig/layer.cpp,
	synfig-core/src/synfig/layer_bitmap.cpp,
	synfig-core/src/synfig/main.cpp, synfig-core/src/synfig/module.cpp,
	synfig-core/src/synfig/render.cpp,
	synfig-core/src/synfig/surface.cpp,
	synfig-core/src/synfig/target.cpp, synfig-core/src/synfig/types.h,
	synfig-core/src/synfig/value.h,
	synfig-core/src/synfig/valuenode.cpp,
	synfig-core/src/synfig/valuenode.h: Remove unused define, clean and
	sort code.

2010-06-11  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/Makefile.am: Remove synfig.h from sources
	to build since it is deprecated and not used.

2010-06-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/importer.cpp,
	synfig-core/src/synfig/importer.h: More code comment

2010-06-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/importer.h: Order, clean up and comment the
	code

2010-06-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/src/modules/Makefile.am,
	synfig-core/src/modules/example/Makefile.am,
	synfig-core/src/modules/example/filledrect.cpp,
	synfig-core/src/modules/example/filledrect.h,
	synfig-core/src/modules/example/main.cpp,
	synfig-core/src/modules/example/metaballs.cpp,
	synfig-core/src/modules/example/metaballs.h,
	synfig-core/src/modules/example/simplecircle.cpp,
	synfig-core/src/modules/example/simplecircle.h,
	synfig-core/src/modules/mod_example/Makefile.am,
	synfig-core/src/modules/mod_example/filledrect.cpp,
	synfig-core/src/modules/mod_example/filledrect.h,
	synfig-core/src/modules/mod_example/main.cpp,
	synfig-core/src/modules/mod_example/metaballs.cpp,
	synfig-core/src/modules/mod_example/metaballs.h,
	synfig-core/src/modules/mod_example/mod_example.nsh,
	synfig-core/src/modules/mod_example/simplecircle.cpp,
	synfig-core/src/modules/mod_example/simplecircle.h,
	synfig-core/src/modules/mod_example/unmod_example.nsh,
	synfig-core/src/modules/synfig_modules.cfg.in: Enable NSIS support
	for example module and rename it to mod_example

2010-06-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/tool/main.cpp: Update copyrights

2010-06-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/tool/renderprogress.h: Enable translation for
	render progress information.

2010-06-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: News draft

2010-06-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/palette.cpp: Update copyrights

2010-06-07  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/palette.cpp: Use iostream operators for
	load palette member instead of atof.

2010-06-01  Nikita Kitaev <nikitakit@gmail.com>

	* : commit 5455fd235a45b9a9274a6113555ec1f4688353e2 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Mon May 31 19:59:33 2010 +0200

2010-05-31  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac, synfig-core/po/de.po: Add German
	translation for synfig-core. Thanks to Oliver Horn (oho)

2010-05-30  Nikita Kitaev <nikitakit@gmail.com>

	* : commit ca5756ccfd7018bf078426238e81b45beef06617 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Mon May 31 00:07:01 2010 +0200

2010-05-28  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/releases.h: Add release version 0.62.01 for
	the save file dialog.

2010-05-26  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/tool/main.cpp: Remove libxvid codec (not working)
	and replace the default by its real name. Update video MPEG-4 codec
	name

2010-05-24  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump versions for RC4 (last one
	hopefully)

2010-05-20  Alexandre Prokoudine <alexandre.prokoudine@gmail.com>

	* synfig-core/po/ru.po: Updated Russian translations, part 1

2010-05-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump versions for RC3

2010-05-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Update News files

2010-05-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/es.po: Update Spanish translation. Thanks to Carlos
	López (genete)

2010-05-19  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/fr.po: Update French translation. Thanks to Aurore
	D. (rore)

2010-05-15  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump versions for RC2

2010-05-09  Carlos Lopez <genetita@gmail.com>

	* : commit fb6e5f95daa50b3b2ac495dda529d28d1553fa29 Author:
	Konstantin Dmitriev <ksee.zelgadis@gmail.com> Date:   Sun May 9
	16:26:07 2010 +0700

2010-05-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/po/ru.po: Russian translation update.

2010-05-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/AUTHORS: Update the AUTHORS files

2010-05-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/README: Update the README files

2010-05-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Update NEWS fiiles

2010-05-03  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/synfig/palette.cpp: Enable save/load of palettes
	(use extension .spal) Conflicts: 	synfig-studio/src/gui/modules/mod_palette/dock_paledit.cpp

2010-04-15  Nikita Kitaev <nikitakit@gmail.com>

	* : commit da2c3c1313524f14cd616a9bd31afecfb8f3abfb Author: Carlos
	Lopez <genetita@gmail.com> Date:   Wed Apr 14 19:56:40 2010 +0200

2010-04-14  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/layer_motionblur.cpp,
	synfig-core/src/synfig/layer_motionblur.h: Add new parameters for
	motionblur. Enable linear, constant and hyperbolic sub-samples.
	Patch thanks to Brendon Higgins

2010-04-01  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.h: Increase maximum
	length of gradient ids They are cut short when alloted memory runs out.  (It may be a good
	idea to use strings instead of char arrays.)

2010-04-01  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Add support for SVG
	color keywords

2010-04-01  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp: Make SVG import
	parse 3-digit hex color values

2010-04-01  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp: Allow for
	scientific notation in SVG path data

2010-03-31  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_noise/valuenode_random.cpp,
	synfig-core/src/synfig/valuenode.h,
	synfig-core/src/synfig/valuenode_anglestring.cpp,
	synfig-core/src/synfig/valuenode_animated.cpp,
	synfig-core/src/synfig/valuenode_animated.h,
	synfig-core/src/synfig/valuenode_atan2.cpp,
	synfig-core/src/synfig/valuenode_const.cpp,
	synfig-core/src/synfig/valuenode_cos.cpp,
	synfig-core/src/synfig/valuenode_dotproduct.cpp,
	synfig-core/src/synfig/valuenode_dynamiclist.cpp,
	synfig-core/src/synfig/valuenode_exp.cpp,
	synfig-core/src/synfig/valuenode_gradientcolor.cpp,
	synfig-core/src/synfig/valuenode_gradientrotate.cpp,
	synfig-core/src/synfig/valuenode_intstring.cpp,
	synfig-core/src/synfig/valuenode_join.cpp,
	synfig-core/src/synfig/valuenode_linear.cpp,
	synfig-core/src/synfig/valuenode_range.cpp,
	synfig-core/src/synfig/valuenode_realstring.cpp,
	synfig-core/src/synfig/valuenode_sine.cpp,
	synfig-core/src/synfig/valuenode_step.cpp,
	synfig-core/src/synfig/valuenode_subtract.cpp,
	synfig-core/src/synfig/valuenode_timedswap.cpp,
	synfig-core/src/synfig/valuenode_timestring.cpp,
	synfig-core/src/synfig/valuenode_twotone.cpp,
	synfig-core/src/synfig/valuenode_vectorangle.cpp,
	synfig-core/src/synfig/valuenode_vectorlength.cpp,
	synfig-core/src/synfig/valuenode_vectorx.cpp,
	synfig-core/src/synfig/valuenode_vectory.cpp: Remove dynamic cast
	hack GCC 3.0.4 with broken casting is long outdated

2010-03-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/AUTHORS: Add Bottero Ermanno copyright to the AUTHORS
	files

2010-03-12  Carlos Lopez <genetita@gmail.com>

	* : commit c554611b986abfe0733b63260b19d99d3384edf0 Author: Carlos
	Lopez <genetita@gmail.com> Date:   Fri Mar 12 17:43:05 2010 +0100

2010-02-25  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: libx264 codec
	parameters fix

2010-02-25  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/modules/mod_ffmpeg/main.cpp,
	synfig-core/src/tool/main.cpp: Taken out useless codecs.

2010-02-24  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/synfig/Makefile.am: Added targetparam.h to
	makefile.am

2010-02-23  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/modules/mod_ffmpeg/main.cpp,
	synfig-core/src/tool/main.cpp: mod_ffmpeg target extensions update.
	Added warning.

2010-02-23  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: FFMPEG module
	if needed parameter overriding.

2010-02-23  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/synfig/targetparam.h: Default illegal parameters
	in TargetParam.

2010-02-23  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: FFMPEG title
	metadata parameter.

2010-02-22  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/tool/main.cpp: Took out H.261 target video codec.

2010-02-22  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/tool/main.cpp: Added help for target video codecs.

2010-02-22  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/tool/main.cpp: Allowed video codecs check and
	improved parameters check.

2010-02-22  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/synfig/targetparam.h: TargetParam constructor with
	parameters.

2010-02-21  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: Propper
	bitrate FFMPEG parameter.

2010-02-20  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp: Updated FFMPEG
	parameters.

2010-02-20  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/tool/main.cpp: Extract target function updated.

2010-02-20  Diego Barrios Romero <eldruin@gmailcom>

	* : commit ac82dc73a5ed08bd695c70a3ac70caaa3e546302 Author: Diego
	Barrios Romero <eldruin@gmailcom> Date:   Sat Feb 20 16:34:31 2010
	+0100

2010-02-19  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/modules/mod_bmp/trgt_bmp.cpp,
	synfig-core/src/modules/mod_bmp/trgt_bmp.h,
	synfig-core/src/modules/mod_dv/trgt_dv.cpp,
	synfig-core/src/modules/mod_dv/trgt_dv.h,
	synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.h,
	synfig-core/src/modules/mod_gif/trgt_gif.cpp,
	synfig-core/src/modules/mod_gif/trgt_gif.h,
	synfig-core/src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	synfig-core/src/modules/mod_imagemagick/trgt_imagemagick.h,
	synfig-core/src/modules/mod_jpeg/trgt_jpeg.cpp,
	synfig-core/src/modules/mod_jpeg/trgt_jpeg.h,
	synfig-core/src/modules/mod_libavcodec/trgt_av.cpp,
	synfig-core/src/modules/mod_libavcodec/trgt_av.h,
	synfig-core/src/modules/mod_magickpp/trgt_magickpp.h,
	synfig-core/src/modules/mod_mng/trgt_mng.cpp,
	synfig-core/src/modules/mod_mng/trgt_mng.h,
	synfig-core/src/modules/mod_openexr/trgt_openexr.cpp,
	synfig-core/src/modules/mod_openexr/trgt_openexr.h,
	synfig-core/src/modules/mod_png/trgt_png.cpp,
	synfig-core/src/modules/mod_png/trgt_png.h,
	synfig-core/src/modules/mod_ppm/trgt_mpg.cpp,
	synfig-core/src/modules/mod_ppm/trgt_mpg.h,
	synfig-core/src/modules/mod_ppm/trgt_ppm.cpp,
	synfig-core/src/modules/mod_ppm/trgt_ppm.h,
	synfig-core/src/modules/mod_yuv420p/trgt_yuv.cpp,
	synfig-core/src/modules/mod_yuv420p/trgt_yuv.h,
	synfig-core/src/synfig/module.h, synfig-core/src/synfig/target.cpp,
	synfig-core/src/synfig/target.h,
	synfig-core/src/synfig/targetparam.h, synfig-core/src/tool/main.cpp: 
	New targets parameters class. Tool accepts video codec and bitrate
	parameters. All modules updated.

2010-02-17  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/tool/main.cpp: Simplified forgotten loops
	iterators.

2010-02-17  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/tool/main.cpp: Simplified code.  New function to extract a parameter value.  Simplified iterators in
	loops.

2010-02-17  Diego Barrios Romero <eldruin@gmailcom>

	* synfig-core/src/tool/Makefile.am,
	synfig-core/src/tool/definitions.h, synfig-core/src/tool/job.h,
	synfig-core/src/tool/main.cpp, synfig-core/src/tool/progress.h,
	synfig-core/src/tool/renderprogress.h: Separated several classes
	into header files from tool main.cpp

2010-01-27  Diego Barrios Romero <eldruin@gmailcom>

	* : commit dca591b6877a1bbe0639fbf206d6dd1ff9644c60 Merge: 91defb0
	5dcab4f Author: Diego Barrios Romero <eldruin@gmailcom> Date:   Wed
	Jan 27 18:33:26 2010 +0100

2010-01-24  Carlos Lopez <genetita@gmail.com>

	* : commit 79fe6f44b13cef34fcb3fc65a4c391b972300bc4 Author: Nikita
	Kitaev <nikitakit@gmail.com> Date:   Sun Jan 24 00:28:57 2010 -0800

2010-01-23  Carlos Lopez <genetita@gmail.com>

	* : commit 111312670374e3ae85755fc11cda881558835131 Author:
	Konstantin Dmitriev <ksee.zelgadis@gmail.com> Date:   Tue Jan 19
	13:22:01 2010 +0600

2009-12-22  Diego Barrios Romero <eldruin@gmail.com>

	* synfig-core/src/synfig/module.h,
	synfig-core/src/synfig/target.cpp, synfig-core/src/synfig/target.h,
	synfig-core/src/tool/main.cpp: Changed target book map to have a
	struct (BookEntry).

2009-12-22  Diego Barrios Romero <eldruin@gmail.com>

	* synfig-core/src/synfig/layer.h,
	synfig-core/src/synfig/target.cpp, synfig-core/src/synfig/target.h,
	synfig-core/src/synfig/valuenode.h: Added documentation for Factory
	and Book typedefs.

2009-12-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/valuenode_composite.cpp: Add Nikita Kitaev's
	copyright to files he modified.

2009-12-08  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/blinepoint.cpp,
	synfig-core/src/synfig/blinepoint.h: Restore linefeed that doesn't
	exists on the original files.

2009-12-05  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/synfig/blinepoint.cpp,
	synfig-core/src/synfig/blinepoint.h: Undo blinepoint changes, they
	don't belong in this branch

2009-12-01  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Give names to
	automatically created inline canvases

2009-12-01  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp: Bugfixing * Stroke always renders on top of fill * Fix gradient strokes * Comment out unused parameters * Work on reducing the number of Paste Canvases

2009-11-28  Nikita Kitaev <nikitakit@gmail.com>

	* : commit 8cbc3b87e82d66a5a9f42586459e76485534be50 Author: Nikita
	Kitaev <nikitakit@gmail.com> Date:   Sun Nov 22 22:23:13 2009 -0800

2009-10-11  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/synfig/blinepoint.cpp,
	synfig-core/src/synfig/blinepoint.h: Change linking parameters in
	BLine points Instead of the old split_tangent parameter, bline points now use
	link_radius and link_theta. Old functions are retained for
	compatibility.  Note: since get_split_tangent_flag() returns a pointer, the
	split_tangent_ parameter must remain for now.

2009-11-08  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Fix typos

2009-11-07  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Refractor
	Vertice->Vertex

2009-11-07  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Path looping support

2009-11-07  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Refractoring and code
	clean-up

2009-11-06  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Gradient support * Linear gradients should convert properly in all circumstances.  * Radial gradients should convert properly when the focus and center
	are the same.

2009-11-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Apply patch 2890548: Resolve issues with
	libtool 1.5.26 and 2.2.4. Thanks to Ray Frederikson ( uranus-235 )

2009-10-24  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp: Fix closepath
	problems The index is no longer incremented twice when encountering "z" Add
	support for elements other than "M/m" after "z"

2009-10-23  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp: Update Path Parser Parser now supports relative coordinates, as well as multiple sets
	of arguments after a single command.

2009-10-22  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp: Filter out
	unparsable layers This avoids the creation of extraneous canvases

2009-10-22  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp: Transformation
	support in effects parser

2009-10-21  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Restructuring 1. Remove plans for converting objects to paths      These convertions are best done in Inkscape.  2. Add skeleton parser_effects      This parser will apply transformations, path effects, etc.  3. Make resolving path transformations optional

2009-10-21  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Centralized parsing Old parser methods for paths and polygons have moved to
	parser_graphics.

2009-10-16  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp: Implement generic
	path parsing And fix some bugs introduced by mistakes in past few commits.

2009-10-12  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: test

2009-10-12  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Parser restructuring Part 1

2009-10-11  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h: Formatting Mostly translating variable names and comments into English.

2009-10-25  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_range.cpp,
	synfig-core/src/synfig/valuenode_range.h: Enable duck reverse
	manipulation for Range value node convert types.

2009-10-25  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_range.cpp: Fix bug in value node
	range. If link is smaller than minimum it was returned link.

2009-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Fix dates in NEWS files

2009-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: fix date in synfig NEWS file.

2009-10-12  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Tiny correction for NEWS files.

2009-10-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/README: Update README files with latest changes.

2009-10-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Update NEWS files properly.

2009-10-10  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Write the correct version in the
	configure.ac files.

2009-10-09  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/ru.po: Update Russian translation. Thanks to
	Alexandre Prokoudine

2009-10-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Better redaction for NEWS files. Thanks to
	muhkayoh

2009-10-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Fix some typos in the NEWS file.

2009-10-05  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/fr.po: Update French translation.Thanks to Aurore
	D. (rore)

2009-10-03  Nikita Kitaev <nikitakit@gmail.com>

	* synfig-core/po/fr.po, synfig-core/po/ru.po,
	synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/valuenode_composite.cpp: Remove link
	references by index when link name can be used

2009-10-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/configure.ac: Bump versions in configure.ac file.
	0.04.13 Release Candidate #1 0.62.00 Release Candidate #1

2009-10-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/NEWS: Update the NEWS with a summary of the features
	added and bugs fixed.

2009-10-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/AUTHORS, synfig-core/README: Forgot to add to Carlos
	A.Sosa Navarro (SVG import module)

2009-10-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/AUTHORS, synfig-core/README: Update authors for
	synfig-core

2009-10-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/es.po: Update Spanish translation for synfig-core

2009-10-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/POTFILES.in, synfig-core/po/es.po: Add curve warp
	files to be translated.

2009-10-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode.cpp: Correct the release version
	for those valuenodes.

2009-10-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/releases.h: Bump release version to 0_62_00

2009-10-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_bline.cpp: Avoid a warning for a
	non used variable.

2009-10-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/synfig/valuenode_pow.cpp: Avoid some warning
	asking for explicit brackets.

2009-10-02  Carlos Lopez <genetita@gmail.com>

	* synfig-core/src/modules/mod_png/mptr_png.cpp: Disable crop
	imported images by default.  It is a very annoying behavior for most
	of users and there is not easy option to diable it.  It can be
	implemented in the next version after close 0.62.0 release.

2009-09-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/es.po: Better translation for 'Metaballs'

2009-09-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/es.po: Update Spanish trasnslation

2009-09-29  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/POTFILES.in: Enable 'example' module files for
	translation because they are part of the code now.

2009-09-22  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/fr.po: Updated French translation. Thanks to Aurore
	D. (rore)

2009-09-16  Carlos Lopez <carlos@pcnuevo.(none)>

	* synfig-core/po/ru.po: Russian translation update. Thanks to
	Alexandre Prokoudine

2009-09-09  Chris Norman <pxegeek@users.sourceforge.net>

	* synfig-core/src/modules/mod_svg/layer_svg.cpp: Hide "Import SVG"
	layer in menus, rather than listing it as "NotVisible"

2009-09-03  Carlos Lopez <genetita@gmail.com>

	* synfig-core/po/es.po: Spanish translation for synfig-core and
	synfig-studio

2009-08-31  Carlos Lopez <genetita@gmail.com>

	* : commit 6017527745955570caee65d28f1c80b449a341e4 Author: Chris
	Norman <pxegeek@users.sourceforge.net> Date:   Sun Aug 30 15:57:25
	2009 -0700

2009-08-28  Chris Norman <pxegeek@users.sourceforge.net>

	* synfig-core/win32inst.nsi.in: Updating Windows build script to
	include mod_svg

2009-08-19  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/configure.ac: Disable libavcodec by default, because
	it's broken with recent versions.

2009-08-19  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/Makefile.am: Drop svn tags staff.  For information about tagging new release refer to
	http://synfig.org/Release#Make_tags

2009-08-19  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/Makefile.am: Use git instead of svn to generate
	ChangeLog.

2009-08-12  Carlos Lopez <carlos@pcnuevo.(none)>

	* synfig-core/AUTHORS, synfig-core/ChangeLog.old,
	synfig-core/Makefile.am, synfig-core/NEWS, synfig-core/README,
	synfig-core/TODO, synfig-core/build_tools/Makefile.am,
	synfig-core/build_tools/autorevision.sh,
	synfig-core/config/ltmain.patch, synfig-core/config/package,
	synfig-core/configure.ac, synfig-core/doc/hw-gfx-mapping.txt,
	synfig-core/doxygen.cfg.in, synfig-core/examples/Makefile.am,
	synfig-core/examples/walk/Makefile.am,
	synfig-core/examples/walk/animation.lst, synfig-core/m4/ETL.m4,
	synfig-core/m4/cxx_macros.m4, synfig-core/m4/freetype2.m4,
	synfig-core/m4/libxml++.m4, synfig-core/m4/libxml.m4,
	synfig-core/m4/pkgconfig.m4, synfig-core/m4/subs.m4,
	synfig-core/m4/synfig.m4, synfig-core/macosxbuild.sh,
	synfig-core/pkg-info/macosx/core-resources/License.txt,
	synfig-core/pkg-info/macosx/core-resources/ReadMe.txt,
	synfig-core/pkg-info/macosx/core-resources/Welcome.txt,
	synfig-core/pkg-info/macosx/core-resources/install.sh,
	synfig-core/pkg-info/macosx/core-resources/upgrade.sh,
	synfig-core/pkg-info/macosx/synfig-core.info.in,
	synfig-core/po/Makevars, synfig-core/po/POTFILES.in,
	synfig-core/po/es.po, synfig-core/po/fr.po, synfig-core/po/ru.po,
	synfig-core/src/Makefile.am, synfig-core/src/modules/Makefile.am,
	synfig-core/src/modules/example/Makefile.am,
	synfig-core/src/modules/example/filledrect.cpp,
	synfig-core/src/modules/example/filledrect.h,
	synfig-core/src/modules/example/main.cpp,
	synfig-core/src/modules/example/metaballs.cpp,
	synfig-core/src/modules/example/metaballs.h,
	synfig-core/src/modules/example/simplecircle.cpp,
	synfig-core/src/modules/example/simplecircle.h,
	synfig-core/src/modules/lyr_freetype/Makefile.am,
	synfig-core/src/modules/lyr_freetype/lyr_freetype.cpp,
	synfig-core/src/modules/lyr_freetype/lyr_freetype.h,
	synfig-core/src/modules/lyr_freetype/lyr_freetype.nsh,
	synfig-core/src/modules/lyr_freetype/main.cpp,
	synfig-core/src/modules/lyr_freetype/unlyr_freetype.nsh,
	synfig-core/src/modules/lyr_std/Makefile.am,
	synfig-core/src/modules/lyr_std/bevel.cpp,
	synfig-core/src/modules/lyr_std/bevel.h,
	synfig-core/src/modules/lyr_std/booleancurve.cpp,
	synfig-core/src/modules/lyr_std/booleancurve.h,
	synfig-core/src/modules/lyr_std/clamp.cpp,
	synfig-core/src/modules/lyr_std/clamp.h,
	synfig-core/src/modules/lyr_std/curvewarp.cpp,
	synfig-core/src/modules/lyr_std/curvewarp.h,
	synfig-core/src/modules/lyr_std/import.cpp,
	synfig-core/src/modules/lyr_std/import.h,
	synfig-core/src/modules/lyr_std/insideout.cpp,
	synfig-core/src/modules/lyr_std/insideout.h,
	synfig-core/src/modules/lyr_std/julia.cpp,
	synfig-core/src/modules/lyr_std/julia.h,
	synfig-core/src/modules/lyr_std/lyr_std.nsh,
	synfig-core/src/modules/lyr_std/main.cpp,
	synfig-core/src/modules/lyr_std/mandelbrot.cpp,
	synfig-core/src/modules/lyr_std/mandelbrot.h,
	synfig-core/src/modules/lyr_std/rotate.cpp,
	synfig-core/src/modules/lyr_std/rotate.h,
	synfig-core/src/modules/lyr_std/shade.cpp,
	synfig-core/src/modules/lyr_std/shade.h,
	synfig-core/src/modules/lyr_std/sphere_distort.cpp,
	synfig-core/src/modules/lyr_std/sphere_distort.h,
	synfig-core/src/modules/lyr_std/stretch.cpp,
	synfig-core/src/modules/lyr_std/stretch.h,
	synfig-core/src/modules/lyr_std/supersample.cpp,
	synfig-core/src/modules/lyr_std/supersample.h,
	synfig-core/src/modules/lyr_std/timeloop.cpp,
	synfig-core/src/modules/lyr_std/timeloop.h,
	synfig-core/src/modules/lyr_std/translate.cpp,
	synfig-core/src/modules/lyr_std/translate.h,
	synfig-core/src/modules/lyr_std/twirl.cpp,
	synfig-core/src/modules/lyr_std/twirl.h,
	synfig-core/src/modules/lyr_std/unlyr_std.nsh,
	synfig-core/src/modules/lyr_std/warp.cpp,
	synfig-core/src/modules/lyr_std/warp.h,
	synfig-core/src/modules/lyr_std/xorpattern.cpp,
	synfig-core/src/modules/lyr_std/xorpattern.h,
	synfig-core/src/modules/lyr_std/zoom.cpp,
	synfig-core/src/modules/lyr_std/zoom.h,
	synfig-core/src/modules/mod_bmp/Makefile.am,
	synfig-core/src/modules/mod_bmp/main.cpp,
	synfig-core/src/modules/mod_bmp/mod_bmp.nsh,
	synfig-core/src/modules/mod_bmp/mptr_bmp.cpp,
	synfig-core/src/modules/mod_bmp/mptr_bmp.h,
	synfig-core/src/modules/mod_bmp/trgt_bmp.cpp,
	synfig-core/src/modules/mod_bmp/trgt_bmp.h,
	synfig-core/src/modules/mod_bmp/unmod_bmp.nsh,
	synfig-core/src/modules/mod_dv/Makefile.am,
	synfig-core/src/modules/mod_dv/main.cpp,
	synfig-core/src/modules/mod_dv/mod_dv.nsh,
	synfig-core/src/modules/mod_dv/trgt_dv.cpp,
	synfig-core/src/modules/mod_dv/trgt_dv.h,
	synfig-core/src/modules/mod_dv/unmod_dv.nsh,
	synfig-core/src/modules/mod_ffmpeg/Makefile.am,
	synfig-core/src/modules/mod_ffmpeg/main.cpp,
	synfig-core/src/modules/mod_ffmpeg/mod_ffmpeg.nsh,
	synfig-core/src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	synfig-core/src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	synfig-core/src/modules/mod_ffmpeg/trgt_ffmpeg.h,
	synfig-core/src/modules/mod_ffmpeg/unmod_ffmpeg.nsh,
	synfig-core/src/modules/mod_filter/Makefile.am,
	synfig-core/src/modules/mod_filter/blur.cpp,
	synfig-core/src/modules/mod_filter/blur.h,
	synfig-core/src/modules/mod_filter/colorcorrect.cpp,
	synfig-core/src/modules/mod_filter/colorcorrect.h,
	synfig-core/src/modules/mod_filter/halftone.cpp,
	synfig-core/src/modules/mod_filter/halftone.h,
	synfig-core/src/modules/mod_filter/halftone2.cpp,
	synfig-core/src/modules/mod_filter/halftone2.h,
	synfig-core/src/modules/mod_filter/halftone3.cpp,
	synfig-core/src/modules/mod_filter/halftone3.h,
	synfig-core/src/modules/mod_filter/lumakey.cpp,
	synfig-core/src/modules/mod_filter/lumakey.h,
	synfig-core/src/modules/mod_filter/main.cpp,
	synfig-core/src/modules/mod_filter/mod_filter.nsh,
	synfig-core/src/modules/mod_filter/radialblur.cpp,
	synfig-core/src/modules/mod_filter/radialblur.h,
	synfig-core/src/modules/mod_filter/unmod_filter.nsh,
	synfig-core/src/modules/mod_geometry/Makefile.am,
	synfig-core/src/modules/mod_geometry/checkerboard.cpp,
	synfig-core/src/modules/mod_geometry/checkerboard.h,
	synfig-core/src/modules/mod_geometry/circle.cpp,
	synfig-core/src/modules/mod_geometry/circle.h,
	synfig-core/src/modules/mod_geometry/main.cpp,
	synfig-core/src/modules/mod_geometry/mod_geometry.nsh,
	synfig-core/src/modules/mod_geometry/outline.cpp,
	synfig-core/src/modules/mod_geometry/outline.h,
	synfig-core/src/modules/mod_geometry/rectangle.cpp,
	synfig-core/src/modules/mod_geometry/rectangle.h,
	synfig-core/src/modules/mod_geometry/region.cpp,
	synfig-core/src/modules/mod_geometry/region.h,
	synfig-core/src/modules/mod_geometry/star.cpp,
	synfig-core/src/modules/mod_geometry/star.h,
	synfig-core/src/modules/mod_geometry/unmod_geometry.nsh,
	synfig-core/src/modules/mod_gif/Makefile.am,
	synfig-core/src/modules/mod_gif/main.cpp,
	synfig-core/src/modules/mod_gif/mod_gif.nsh,
	synfig-core/src/modules/mod_gif/trgt_gif.cpp,
	synfig-core/src/modules/mod_gif/trgt_gif.h,
	synfig-core/src/modules/mod_gif/unmod_gif.nsh,
	synfig-core/src/modules/mod_gradient/Makefile.am,
	synfig-core/src/modules/mod_gradient/conicalgradient.cpp,
	synfig-core/src/modules/mod_gradient/conicalgradient.h,
	synfig-core/src/modules/mod_gradient/curvegradient.cpp,
	synfig-core/src/modules/mod_gradient/curvegradient.h,
	synfig-core/src/modules/mod_gradient/lineargradient.cpp,
	synfig-core/src/modules/mod_gradient/lineargradient.h,
	synfig-core/src/modules/mod_gradient/main.cpp,
	synfig-core/src/modules/mod_gradient/mod_gradient.nsh,
	synfig-core/src/modules/mod_gradient/radialgradient.cpp,
	synfig-core/src/modules/mod_gradient/radialgradient.h,
	synfig-core/src/modules/mod_gradient/spiralgradient.cpp,
	synfig-core/src/modules/mod_gradient/spiralgradient.h,
	synfig-core/src/modules/mod_gradient/unmod_gradient.nsh,
	synfig-core/src/modules/mod_imagemagick/Makefile.am,
	synfig-core/src/modules/mod_imagemagick/main.cpp,
	synfig-core/src/modules/mod_imagemagick/mod_imagemagick.nsh,
	synfig-core/src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	synfig-core/src/modules/mod_imagemagick/mptr_imagemagick.h,
	synfig-core/src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	synfig-core/src/modules/mod_imagemagick/trgt_imagemagick.h,
	synfig-core/src/modules/mod_imagemagick/unmod_imagemagick.nsh,
	synfig-core/src/modules/mod_jpeg/Makefile.am,
	synfig-core/src/modules/mod_jpeg/main.cpp,
	synfig-core/src/modules/mod_jpeg/mod_jpeg.nsh,
	synfig-core/src/modules/mod_jpeg/mptr_jpeg.cpp,
	synfig-core/src/modules/mod_jpeg/mptr_jpeg.h,
	synfig-core/src/modules/mod_jpeg/trgt_jpeg.cpp,
	synfig-core/src/modules/mod_jpeg/trgt_jpeg.h,
	synfig-core/src/modules/mod_jpeg/unmod_jpeg.nsh,
	synfig-core/src/modules/mod_libavcodec/Makefile.am,
	synfig-core/src/modules/mod_libavcodec/main.cpp,
	synfig-core/src/modules/mod_libavcodec/mod_libavcodec.nsh,
	synfig-core/src/modules/mod_libavcodec/mptr.cpp,
	synfig-core/src/modules/mod_libavcodec/mptr.h,
	synfig-core/src/modules/mod_libavcodec/trgt_av.cpp,
	synfig-core/src/modules/mod_libavcodec/trgt_av.h,
	synfig-core/src/modules/mod_libavcodec/unmod_libavcodec.nsh,
	synfig-core/src/modules/mod_magickpp/Makefile.am,
	synfig-core/src/modules/mod_magickpp/main.cpp,
	synfig-core/src/modules/mod_magickpp/mod_magickpp.nsh,
	synfig-core/src/modules/mod_magickpp/trgt_magickpp.cpp,
	synfig-core/src/modules/mod_magickpp/trgt_magickpp.h,
	synfig-core/src/modules/mod_magickpp/unmod_magickpp.nsh,
	synfig-core/src/modules/mod_mng/Makefile.am,
	synfig-core/src/modules/mod_mng/main.cpp,
	synfig-core/src/modules/mod_mng/mod_mng.nsh,
	synfig-core/src/modules/mod_mng/trgt_mng.cpp,
	synfig-core/src/modules/mod_mng/trgt_mng.h,
	synfig-core/src/modules/mod_mng/unmod_mng.nsh,
	synfig-core/src/modules/mod_noise/Makefile.am,
	synfig-core/src/modules/mod_noise/distort.cpp,
	synfig-core/src/modules/mod_noise/distort.h,
	synfig-core/src/modules/mod_noise/main.cpp,
	synfig-core/src/modules/mod_noise/mod_noise.nsh,
	synfig-core/src/modules/mod_noise/noise.cpp,
	synfig-core/src/modules/mod_noise/noise.h,
	synfig-core/src/modules/mod_noise/random_noise.cpp,
	synfig-core/src/modules/mod_noise/random_noise.h,
	synfig-core/src/modules/mod_noise/unmod_noise.nsh,
	synfig-core/src/modules/mod_noise/valuenode_random.cpp,
	synfig-core/src/modules/mod_noise/valuenode_random.h,
	synfig-core/src/modules/mod_openexr/Makefile.am,
	synfig-core/src/modules/mod_openexr/main.cpp,
	synfig-core/src/modules/mod_openexr/mod_openexr.nsh,
	synfig-core/src/modules/mod_openexr/mptr_openexr.cpp,
	synfig-core/src/modules/mod_openexr/mptr_openexr.h,
	synfig-core/src/modules/mod_openexr/trgt_openexr.cpp,
	synfig-core/src/modules/mod_openexr/trgt_openexr.h,
	synfig-core/src/modules/mod_openexr/unmod_openexr.nsh,
	synfig-core/src/modules/mod_particle/Makefile.am,
	synfig-core/src/modules/mod_particle/main.cpp,
	synfig-core/src/modules/mod_particle/mod_particle.nsh,
	synfig-core/src/modules/mod_particle/plant.cpp,
	synfig-core/src/modules/mod_particle/plant.h,
	synfig-core/src/modules/mod_particle/random.cpp,
	synfig-core/src/modules/mod_particle/random.h,
	synfig-core/src/modules/mod_particle/unmod_particle.nsh,
	synfig-core/src/modules/mod_png/Makefile.am,
	synfig-core/src/modules/mod_png/main.cpp,
	synfig-core/src/modules/mod_png/mod_png.nsh,
	synfig-core/src/modules/mod_png/mptr_png.cpp,
	synfig-core/src/modules/mod_png/mptr_png.h,
	synfig-core/src/modules/mod_png/trgt_png.cpp,
	synfig-core/src/modules/mod_png/trgt_png.h,
	synfig-core/src/modules/mod_png/unmod_png.nsh,
	synfig-core/src/modules/mod_ppm/Makefile.am,
	synfig-core/src/modules/mod_ppm/main.cpp,
	synfig-core/src/modules/mod_ppm/mod_ppm.nsh,
	synfig-core/src/modules/mod_ppm/mptr_ppm.cpp,
	synfig-core/src/modules/mod_ppm/mptr_ppm.h,
	synfig-core/src/modules/mod_ppm/trgt_mpg.cpp,
	synfig-core/src/modules/mod_ppm/trgt_mpg.h,
	synfig-core/src/modules/mod_ppm/trgt_ppm.cpp,
	synfig-core/src/modules/mod_ppm/trgt_ppm.h,
	synfig-core/src/modules/mod_ppm/unmod_ppm.nsh,
	synfig-core/src/modules/mod_svg/Makefile.am,
	synfig-core/src/modules/mod_svg/layer_svg.cpp,
	synfig-core/src/modules/mod_svg/layer_svg.h,
	synfig-core/src/modules/mod_svg/main.cpp,
	synfig-core/src/modules/mod_svg/mod_svg.nsh,
	synfig-core/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/src/modules/mod_svg/svg_parser.h,
	synfig-core/src/modules/mod_svg/unmod_svg.nsh,
	synfig-core/src/modules/mod_yuv420p/Makefile.am,
	synfig-core/src/modules/mod_yuv420p/main.cpp,
	synfig-core/src/modules/mod_yuv420p/mod_yuv420p.nsh,
	synfig-core/src/modules/mod_yuv420p/trgt_yuv.cpp,
	synfig-core/src/modules/mod_yuv420p/trgt_yuv.h,
	synfig-core/src/modules/mod_yuv420p/unmod_yuv420p.nsh,
	synfig-core/src/modules/mptr_mplayer/Makefile.am,
	synfig-core/src/modules/mptr_mplayer/main.cpp,
	synfig-core/src/modules/mptr_mplayer/mptr_mplayer.cpp,
	synfig-core/src/modules/mptr_mplayer/mptr_mplayer.h,
	synfig-core/src/modules/synfig_modules.cfg.in,
	synfig-core/src/modules/template.nsh,
	synfig-core/src/modules/untemplate.nsh,
	synfig-core/src/synfig/Makefile.am,
	synfig-core/src/synfig/activepoint.cpp,
	synfig-core/src/synfig/activepoint.h,
	synfig-core/src/synfig/angle.h,
	synfig-core/src/synfig/blinepoint.cpp,
	synfig-core/src/synfig/blinepoint.h,
	synfig-core/src/synfig/blur.cpp, synfig-core/src/synfig/blur.h,
	synfig-core/src/synfig/canvas.cpp, synfig-core/src/synfig/canvas.h,
	synfig-core/src/synfig/canvasbase.h,
	synfig-core/src/synfig/color.cpp, synfig-core/src/synfig/color.h,
	synfig-core/src/synfig/context.cpp,
	synfig-core/src/synfig/context.h,
	synfig-core/src/synfig/curve_helper.cpp,
	synfig-core/src/synfig/curve_helper.h,
	synfig-core/src/synfig/curveset.cpp,
	synfig-core/src/synfig/curveset.h,
	synfig-core/src/synfig/distance.cpp,
	synfig-core/src/synfig/distance.h,
	synfig-core/src/synfig/exception.cpp,
	synfig-core/src/synfig/exception.h,
	synfig-core/src/synfig/gamma.cpp, synfig-core/src/synfig/gamma.h,
	synfig-core/src/synfig/general.h,
	synfig-core/src/synfig/gradient.cpp,
	synfig-core/src/synfig/gradient.h, synfig-core/src/synfig/guid.cpp,
	synfig-core/src/synfig/guid.h, synfig-core/src/synfig/guidset.h,
	synfig-core/src/synfig/importer.cpp,
	synfig-core/src/synfig/importer.h,
	synfig-core/src/synfig/interpolation.h,
	synfig-core/src/synfig/keyframe.cpp,
	synfig-core/src/synfig/keyframe.h,
	synfig-core/src/synfig/layer.cpp, synfig-core/src/synfig/layer.h,
	synfig-core/src/synfig/layer_bitmap.cpp,
	synfig-core/src/synfig/layer_bitmap.h,
	synfig-core/src/synfig/layer_composite.cpp,
	synfig-core/src/synfig/layer_composite.h,
	synfig-core/src/synfig/layer_duplicate.cpp,
	synfig-core/src/synfig/layer_duplicate.h,
	synfig-core/src/synfig/layer_mime.cpp,
	synfig-core/src/synfig/layer_mime.h,
	synfig-core/src/synfig/layer_motionblur.cpp,
	synfig-core/src/synfig/layer_motionblur.h,
	synfig-core/src/synfig/layer_pastecanvas.cpp,
	synfig-core/src/synfig/layer_pastecanvas.h,
	synfig-core/src/synfig/layer_polygon.cpp,
	synfig-core/src/synfig/layer_polygon.h,
	synfig-core/src/synfig/layer_shape.cpp,
	synfig-core/src/synfig/layer_shape.h,
	synfig-core/src/synfig/layer_solidcolor.cpp,
	synfig-core/src/synfig/layer_solidcolor.h,
	synfig-core/src/synfig/listimporter.cpp,
	synfig-core/src/synfig/listimporter.h,
	synfig-core/src/synfig/loadcanvas.cpp,
	synfig-core/src/synfig/loadcanvas.h,
	synfig-core/src/synfig/main.cpp, synfig-core/src/synfig/main.h,
	synfig-core/src/synfig/matrix.h, synfig-core/src/synfig/module.cpp,
	synfig-core/src/synfig/module.h, synfig-core/src/synfig/mutex.cpp,
	synfig-core/src/synfig/mutex.h, synfig-core/src/synfig/node.cpp,
	synfig-core/src/synfig/node.h, synfig-core/src/synfig/nodebase.h,
	synfig-core/src/synfig/palette.cpp,
	synfig-core/src/synfig/palette.h,
	synfig-core/src/synfig/paramdesc.cpp,
	synfig-core/src/synfig/paramdesc.h, synfig-core/src/synfig/pch.h,
	synfig-core/src/synfig/polynomial_root.cpp,
	synfig-core/src/synfig/polynomial_root.h,
	synfig-core/src/synfig/protocol.h,
	synfig-core/src/synfig/quick_rng.h, synfig-core/src/synfig/real.h,
	synfig-core/src/synfig/rect.cpp, synfig-core/src/synfig/rect.h,
	synfig-core/src/synfig/releases.h,
	synfig-core/src/synfig/renddesc.cpp,
	synfig-core/src/synfig/renddesc.h,
	synfig-core/src/synfig/render.cpp, synfig-core/src/synfig/render.h,
	synfig-core/src/synfig/savecanvas.cpp,
	synfig-core/src/synfig/savecanvas.h,
	synfig-core/src/synfig/segment.h,
	synfig-core/src/synfig/smartfile.h,
	synfig-core/src/synfig/string.h,
	synfig-core/src/synfig/string_decl.h,
	synfig-core/src/synfig/surface.cpp,
	synfig-core/src/synfig/surface.h,
	synfig-core/src/synfig/surfacenew.cpp,
	synfig-core/src/synfig/surfacenew.h,
	synfig-core/src/synfig/synfig.h, synfig-core/src/synfig/synfig.nsh,
	synfig-core/src/synfig/target.cpp, synfig-core/src/synfig/target.h,
	synfig-core/src/synfig/target_multi.cpp,
	synfig-core/src/synfig/target_multi.h,
	synfig-core/src/synfig/target_null.cpp,
	synfig-core/src/synfig/target_null.h,
	synfig-core/src/synfig/target_null_tile.cpp,
	synfig-core/src/synfig/target_null_tile.h,
	synfig-core/src/synfig/target_scanline.cpp,
	synfig-core/src/synfig/target_scanline.h,
	synfig-core/src/synfig/target_tile.cpp,
	synfig-core/src/synfig/target_tile.h,
	synfig-core/src/synfig/time.cpp, synfig-core/src/synfig/time.h,
	synfig-core/src/synfig/timepointcollect.cpp,
	synfig-core/src/synfig/timepointcollect.h,
	synfig-core/src/synfig/transform.cpp,
	synfig-core/src/synfig/transform.h, synfig-core/src/synfig/types.h,
	synfig-core/src/synfig/uniqueid.cpp,
	synfig-core/src/synfig/uniqueid.h,
	synfig-core/src/synfig/value.cpp, synfig-core/src/synfig/value.h,
	synfig-core/src/synfig/valuenode.cpp,
	synfig-core/src/synfig/valuenode.h,
	synfig-core/src/synfig/valuenode_add.cpp,
	synfig-core/src/synfig/valuenode_add.h,
	synfig-core/src/synfig/valuenode_and.cpp,
	synfig-core/src/synfig/valuenode_and.h,
	synfig-core/src/synfig/valuenode_anglestring.cpp,
	synfig-core/src/synfig/valuenode_anglestring.h,
	synfig-core/src/synfig/valuenode_animated.cpp,
	synfig-core/src/synfig/valuenode_animated.h,
	synfig-core/src/synfig/valuenode_atan2.cpp,
	synfig-core/src/synfig/valuenode_atan2.h,
	synfig-core/src/synfig/valuenode_bline.cpp,
	synfig-core/src/synfig/valuenode_bline.h,
	synfig-core/src/synfig/valuenode_blinecalctangent.cpp,
	synfig-core/src/synfig/valuenode_blinecalctangent.h,
	synfig-core/src/synfig/valuenode_blinecalcvertex.cpp,
	synfig-core/src/synfig/valuenode_blinecalcvertex.h,
	synfig-core/src/synfig/valuenode_blinecalcwidth.cpp,
	synfig-core/src/synfig/valuenode_blinecalcwidth.h,
	synfig-core/src/synfig/valuenode_blinereversetangent.cpp,
	synfig-core/src/synfig/valuenode_blinereversetangent.h,
	synfig-core/src/synfig/valuenode_compare.cpp,
	synfig-core/src/synfig/valuenode_compare.h,
	synfig-core/src/synfig/valuenode_composite.cpp,
	synfig-core/src/synfig/valuenode_composite.h,
	synfig-core/src/synfig/valuenode_const.cpp,
	synfig-core/src/synfig/valuenode_const.h,
	synfig-core/src/synfig/valuenode_cos.cpp,
	synfig-core/src/synfig/valuenode_cos.h,
	synfig-core/src/synfig/valuenode_dotproduct.cpp,
	synfig-core/src/synfig/valuenode_dotproduct.h,
	synfig-core/src/synfig/valuenode_duplicate.cpp,
	synfig-core/src/synfig/valuenode_duplicate.h,
	synfig-core/src/synfig/valuenode_dynamiclist.cpp,
	synfig-core/src/synfig/valuenode_dynamiclist.h,
	synfig-core/src/synfig/valuenode_exp.cpp,
	synfig-core/src/synfig/valuenode_exp.h,
	synfig-core/src/synfig/valuenode_gradientcolor.cpp,
	synfig-core/src/synfig/valuenode_gradientcolor.h,
	synfig-core/src/synfig/valuenode_gradientrotate.cpp,
	synfig-core/src/synfig/valuenode_gradientrotate.h,
	synfig-core/src/synfig/valuenode_greyed.cpp,
	synfig-core/src/synfig/valuenode_greyed.h,
	synfig-core/src/synfig/valuenode_integer.cpp,
	synfig-core/src/synfig/valuenode_integer.h,
	synfig-core/src/synfig/valuenode_intstring.cpp,
	synfig-core/src/synfig/valuenode_intstring.h,
	synfig-core/src/synfig/valuenode_join.cpp,
	synfig-core/src/synfig/valuenode_join.h,
	synfig-core/src/synfig/valuenode_linear.cpp,
	synfig-core/src/synfig/valuenode_linear.h,
	synfig-core/src/synfig/valuenode_log.cpp,
	synfig-core/src/synfig/valuenode_log.h,
	synfig-core/src/synfig/valuenode_not.cpp,
	synfig-core/src/synfig/valuenode_not.h,
	synfig-core/src/synfig/valuenode_or.cpp,
	synfig-core/src/synfig/valuenode_or.h,
	synfig-core/src/synfig/valuenode_pow.cpp,
	synfig-core/src/synfig/valuenode_pow.h,
	synfig-core/src/synfig/valuenode_radialcomposite.cpp,
	synfig-core/src/synfig/valuenode_radialcomposite.h,
	synfig-core/src/synfig/valuenode_range.cpp,
	synfig-core/src/synfig/valuenode_range.h,
	synfig-core/src/synfig/valuenode_realstring.cpp,
	synfig-core/src/synfig/valuenode_realstring.h,
	synfig-core/src/synfig/valuenode_reciprocal.cpp,
	synfig-core/src/synfig/valuenode_reciprocal.h,
	synfig-core/src/synfig/valuenode_reference.cpp,
	synfig-core/src/synfig/valuenode_reference.h,
	synfig-core/src/synfig/valuenode_repeat_gradient.cpp,
	synfig-core/src/synfig/valuenode_repeat_gradient.h,
	synfig-core/src/synfig/valuenode_scale.cpp,
	synfig-core/src/synfig/valuenode_scale.h,
	synfig-core/src/synfig/valuenode_segcalctangent.cpp,
	synfig-core/src/synfig/valuenode_segcalctangent.h,
	synfig-core/src/synfig/valuenode_segcalcvertex.cpp,
	synfig-core/src/synfig/valuenode_segcalcvertex.h,
	synfig-core/src/synfig/valuenode_sine.cpp,
	synfig-core/src/synfig/valuenode_sine.h,
	synfig-core/src/synfig/valuenode_step.cpp,
	synfig-core/src/synfig/valuenode_step.h,
	synfig-core/src/synfig/valuenode_stripes.cpp,
	synfig-core/src/synfig/valuenode_stripes.h,
	synfig-core/src/synfig/valuenode_subtract.cpp,
	synfig-core/src/synfig/valuenode_subtract.h,
	synfig-core/src/synfig/valuenode_switch.cpp,
	synfig-core/src/synfig/valuenode_switch.h,
	synfig-core/src/synfig/valuenode_timedswap.cpp,
	synfig-core/src/synfig/valuenode_timedswap.h,
	synfig-core/src/synfig/valuenode_timeloop.cpp,
	synfig-core/src/synfig/valuenode_timeloop.h,
	synfig-core/src/synfig/valuenode_timestring.cpp,
	synfig-core/src/synfig/valuenode_timestring.h,
	synfig-core/src/synfig/valuenode_twotone.cpp,
	synfig-core/src/synfig/valuenode_twotone.h,
	synfig-core/src/synfig/valuenode_vectorangle.cpp,
	synfig-core/src/synfig/valuenode_vectorangle.h,
	synfig-core/src/synfig/valuenode_vectorlength.cpp,
	synfig-core/src/synfig/valuenode_vectorlength.h,
	synfig-core/src/synfig/valuenode_vectorx.cpp,
	synfig-core/src/synfig/valuenode_vectorx.h,
	synfig-core/src/synfig/valuenode_vectory.cpp,
	synfig-core/src/synfig/valuenode_vectory.h,
	synfig-core/src/synfig/vector.h, synfig-core/src/synfig/version.h,
	synfig-core/src/synfig/waypoint.cpp,
	synfig-core/src/synfig/waypoint.h, synfig-core/src/template.cpp,
	synfig-core/src/template.h, synfig-core/src/tool/Makefile.am,
	synfig-core/src/tool/main.cpp, synfig-core/src/tool/tool.nsh,
	synfig-core/synfig-config.in,
	synfig-core/synfig-core.xcodeproj/config.h,
	synfig-core/synfig-core.xcodeproj/darco.mode1,
	synfig-core/synfig-core.xcodeproj/darco.pbxuser,
	synfig-core/synfig-core.xcodeproj/project.pbxproj,
	synfig-core/synfig.kdevprj, synfig-core/synfig.pc.in,
	synfig-core/synfig.prj, synfig-core/trunk/AUTHORS,
	synfig-core/trunk/ChangeLog.old, synfig-core/trunk/Makefile.am,
	synfig-core/trunk/NEWS, synfig-core/trunk/README,
	synfig-core/trunk/TODO, synfig-core/trunk/build_tools/Makefile.am,
	synfig-core/trunk/build_tools/autorevision.sh,
	synfig-core/trunk/config/ltmain.patch,
	synfig-core/trunk/config/package, synfig-core/trunk/configure.ac,
	synfig-core/trunk/doc/hw-gfx-mapping.txt,
	synfig-core/trunk/doxygen.cfg.in,
	synfig-core/trunk/examples/Makefile.am,
	synfig-core/trunk/examples/walk/Makefile.am,
	synfig-core/trunk/examples/walk/animation.lst,
	synfig-core/trunk/m4/ETL.m4, synfig-core/trunk/m4/cxx_macros.m4,
	synfig-core/trunk/m4/freetype2.m4,
	synfig-core/trunk/m4/libxml++.m4, synfig-core/trunk/m4/libxml.m4,
	synfig-core/trunk/m4/pkgconfig.m4, synfig-core/trunk/m4/subs.m4,
	synfig-core/trunk/m4/synfig.m4, synfig-core/trunk/macosxbuild.sh,
	synfig-core/trunk/pkg-info/macosx/core-resources/License.txt,
	synfig-core/trunk/pkg-info/macosx/core-resources/ReadMe.txt,
	synfig-core/trunk/pkg-info/macosx/core-resources/Welcome.txt,
	synfig-core/trunk/pkg-info/macosx/core-resources/install.sh,
	synfig-core/trunk/pkg-info/macosx/core-resources/upgrade.sh,
	synfig-core/trunk/pkg-info/macosx/synfig-core.info.in,
	synfig-core/trunk/po/Makevars, synfig-core/trunk/po/POTFILES.in,
	synfig-core/trunk/po/es.po, synfig-core/trunk/po/fr.po,
	synfig-core/trunk/po/ru.po, synfig-core/trunk/src/Makefile.am,
	synfig-core/trunk/src/modules/Makefile.am,
	synfig-core/trunk/src/modules/example/Makefile.am,
	synfig-core/trunk/src/modules/example/filledrect.cpp,
	synfig-core/trunk/src/modules/example/filledrect.h,
	synfig-core/trunk/src/modules/example/main.cpp,
	synfig-core/trunk/src/modules/example/metaballs.cpp,
	synfig-core/trunk/src/modules/example/metaballs.h,
	synfig-core/trunk/src/modules/example/simplecircle.cpp,
	synfig-core/trunk/src/modules/example/simplecircle.h,
	synfig-core/trunk/src/modules/lyr_freetype/Makefile.am,
	synfig-core/trunk/src/modules/lyr_freetype/lyr_freetype.cpp,
	synfig-core/trunk/src/modules/lyr_freetype/lyr_freetype.h,
	synfig-core/trunk/src/modules/lyr_freetype/lyr_freetype.nsh,
	synfig-core/trunk/src/modules/lyr_freetype/main.cpp,
	synfig-core/trunk/src/modules/lyr_freetype/unlyr_freetype.nsh,
	synfig-core/trunk/src/modules/lyr_std/Makefile.am,
	synfig-core/trunk/src/modules/lyr_std/bevel.cpp,
	synfig-core/trunk/src/modules/lyr_std/bevel.h,
	synfig-core/trunk/src/modules/lyr_std/booleancurve.cpp,
	synfig-core/trunk/src/modules/lyr_std/booleancurve.h,
	synfig-core/trunk/src/modules/lyr_std/clamp.cpp,
	synfig-core/trunk/src/modules/lyr_std/clamp.h,
	synfig-core/trunk/src/modules/lyr_std/curvewarp.cpp,
	synfig-core/trunk/src/modules/lyr_std/curvewarp.h,
	synfig-core/trunk/src/modules/lyr_std/import.cpp,
	synfig-core/trunk/src/modules/lyr_std/import.h,
	synfig-core/trunk/src/modules/lyr_std/insideout.cpp,
	synfig-core/trunk/src/modules/lyr_std/insideout.h,
	synfig-core/trunk/src/modules/lyr_std/julia.cpp,
	synfig-core/trunk/src/modules/lyr_std/julia.h,
	synfig-core/trunk/src/modules/lyr_std/lyr_std.nsh,
	synfig-core/trunk/src/modules/lyr_std/main.cpp,
	synfig-core/trunk/src/modules/lyr_std/mandelbrot.cpp,
	synfig-core/trunk/src/modules/lyr_std/mandelbrot.h,
	synfig-core/trunk/src/modules/lyr_std/rotate.cpp,
	synfig-core/trunk/src/modules/lyr_std/rotate.h,
	synfig-core/trunk/src/modules/lyr_std/shade.cpp,
	synfig-core/trunk/src/modules/lyr_std/shade.h,
	synfig-core/trunk/src/modules/lyr_std/sphere_distort.cpp,
	synfig-core/trunk/src/modules/lyr_std/sphere_distort.h,
	synfig-core/trunk/src/modules/lyr_std/stretch.cpp,
	synfig-core/trunk/src/modules/lyr_std/stretch.h,
	synfig-core/trunk/src/modules/lyr_std/supersample.cpp,
	synfig-core/trunk/src/modules/lyr_std/supersample.h,
	synfig-core/trunk/src/modules/lyr_std/timeloop.cpp,
	synfig-core/trunk/src/modules/lyr_std/timeloop.h,
	synfig-core/trunk/src/modules/lyr_std/translate.cpp,
	synfig-core/trunk/src/modules/lyr_std/translate.h,
	synfig-core/trunk/src/modules/lyr_std/twirl.cpp,
	synfig-core/trunk/src/modules/lyr_std/twirl.h,
	synfig-core/trunk/src/modules/lyr_std/unlyr_std.nsh,
	synfig-core/trunk/src/modules/lyr_std/warp.cpp,
	synfig-core/trunk/src/modules/lyr_std/warp.h,
	synfig-core/trunk/src/modules/lyr_std/xorpattern.cpp,
	synfig-core/trunk/src/modules/lyr_std/xorpattern.h,
	synfig-core/trunk/src/modules/lyr_std/zoom.cpp,
	synfig-core/trunk/src/modules/lyr_std/zoom.h,
	synfig-core/trunk/src/modules/mod_bmp/Makefile.am,
	synfig-core/trunk/src/modules/mod_bmp/main.cpp,
	synfig-core/trunk/src/modules/mod_bmp/mod_bmp.nsh,
	synfig-core/trunk/src/modules/mod_bmp/mptr_bmp.cpp,
	synfig-core/trunk/src/modules/mod_bmp/mptr_bmp.h,
	synfig-core/trunk/src/modules/mod_bmp/trgt_bmp.cpp,
	synfig-core/trunk/src/modules/mod_bmp/trgt_bmp.h,
	synfig-core/trunk/src/modules/mod_bmp/unmod_bmp.nsh,
	synfig-core/trunk/src/modules/mod_dv/Makefile.am,
	synfig-core/trunk/src/modules/mod_dv/main.cpp,
	synfig-core/trunk/src/modules/mod_dv/mod_dv.nsh,
	synfig-core/trunk/src/modules/mod_dv/trgt_dv.cpp,
	synfig-core/trunk/src/modules/mod_dv/trgt_dv.h,
	synfig-core/trunk/src/modules/mod_dv/unmod_dv.nsh,
	synfig-core/trunk/src/modules/mod_ffmpeg/Makefile.am,
	synfig-core/trunk/src/modules/mod_ffmpeg/main.cpp,
	synfig-core/trunk/src/modules/mod_ffmpeg/mod_ffmpeg.nsh,
	synfig-core/trunk/src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	synfig-core/trunk/src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	synfig-core/trunk/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	synfig-core/trunk/src/modules/mod_ffmpeg/trgt_ffmpeg.h,
	synfig-core/trunk/src/modules/mod_ffmpeg/unmod_ffmpeg.nsh,
	synfig-core/trunk/src/modules/mod_filter/Makefile.am,
	synfig-core/trunk/src/modules/mod_filter/blur.cpp,
	synfig-core/trunk/src/modules/mod_filter/blur.h,
	synfig-core/trunk/src/modules/mod_filter/colorcorrect.cpp,
	synfig-core/trunk/src/modules/mod_filter/colorcorrect.h,
	synfig-core/trunk/src/modules/mod_filter/halftone.cpp,
	synfig-core/trunk/src/modules/mod_filter/halftone.h,
	synfig-core/trunk/src/modules/mod_filter/halftone2.cpp,
	synfig-core/trunk/src/modules/mod_filter/halftone2.h,
	synfig-core/trunk/src/modules/mod_filter/halftone3.cpp,
	synfig-core/trunk/src/modules/mod_filter/halftone3.h,
	synfig-core/trunk/src/modules/mod_filter/lumakey.cpp,
	synfig-core/trunk/src/modules/mod_filter/lumakey.h,
	synfig-core/trunk/src/modules/mod_filter/main.cpp,
	synfig-core/trunk/src/modules/mod_filter/mod_filter.nsh,
	synfig-core/trunk/src/modules/mod_filter/radialblur.cpp,
	synfig-core/trunk/src/modules/mod_filter/radialblur.h,
	synfig-core/trunk/src/modules/mod_filter/unmod_filter.nsh,
	synfig-core/trunk/src/modules/mod_geometry/Makefile.am,
	synfig-core/trunk/src/modules/mod_geometry/checkerboard.cpp,
	synfig-core/trunk/src/modules/mod_geometry/checkerboard.h,
	synfig-core/trunk/src/modules/mod_geometry/circle.cpp,
	synfig-core/trunk/src/modules/mod_geometry/circle.h,
	synfig-core/trunk/src/modules/mod_geometry/main.cpp,
	synfig-core/trunk/src/modules/mod_geometry/mod_geometry.nsh,
	synfig-core/trunk/src/modules/mod_geometry/outline.cpp,
	synfig-core/trunk/src/modules/mod_geometry/outline.h,
	synfig-core/trunk/src/modules/mod_geometry/rectangle.cpp,
	synfig-core/trunk/src/modules/mod_geometry/rectangle.h,
	synfig-core/trunk/src/modules/mod_geometry/region.cpp,
	synfig-core/trunk/src/modules/mod_geometry/region.h,
	synfig-core/trunk/src/modules/mod_geometry/star.cpp,
	synfig-core/trunk/src/modules/mod_geometry/star.h,
	synfig-core/trunk/src/modules/mod_geometry/unmod_geometry.nsh,
	synfig-core/trunk/src/modules/mod_gif/Makefile.am,
	synfig-core/trunk/src/modules/mod_gif/main.cpp,
	synfig-core/trunk/src/modules/mod_gif/mod_gif.nsh,
	synfig-core/trunk/src/modules/mod_gif/trgt_gif.cpp,
	synfig-core/trunk/src/modules/mod_gif/trgt_gif.h,
	synfig-core/trunk/src/modules/mod_gif/unmod_gif.nsh,
	synfig-core/trunk/src/modules/mod_gradient/Makefile.am,
	synfig-core/trunk/src/modules/mod_gradient/conicalgradient.cpp,
	synfig-core/trunk/src/modules/mod_gradient/conicalgradient.h,
	synfig-core/trunk/src/modules/mod_gradient/curvegradient.cpp,
	synfig-core/trunk/src/modules/mod_gradient/curvegradient.h,
	synfig-core/trunk/src/modules/mod_gradient/lineargradient.cpp,
	synfig-core/trunk/src/modules/mod_gradient/lineargradient.h,
	synfig-core/trunk/src/modules/mod_gradient/main.cpp,
	synfig-core/trunk/src/modules/mod_gradient/mod_gradient.nsh,
	synfig-core/trunk/src/modules/mod_gradient/radialgradient.cpp,
	synfig-core/trunk/src/modules/mod_gradient/radialgradient.h,
	synfig-core/trunk/src/modules/mod_gradient/spiralgradient.cpp,
	synfig-core/trunk/src/modules/mod_gradient/spiralgradient.h,
	synfig-core/trunk/src/modules/mod_gradient/unmod_gradient.nsh,
	synfig-core/trunk/src/modules/mod_imagemagick/Makefile.am,
	synfig-core/trunk/src/modules/mod_imagemagick/main.cpp,
	synfig-core/trunk/src/modules/mod_imagemagick/mod_imagemagick.nsh,
	synfig-core/trunk/src/modules/mod_imagemagick/mptr_imagemagick.cpp,
	synfig-core/trunk/src/modules/mod_imagemagick/mptr_imagemagick.h,
	synfig-core/trunk/src/modules/mod_imagemagick/trgt_imagemagick.cpp,
	synfig-core/trunk/src/modules/mod_imagemagick/trgt_imagemagick.h,
	synfig-core/trunk/src/modules/mod_imagemagick/unmod_imagemagick.nsh
	, synfig-core/trunk/src/modules/mod_jpeg/Makefile.am,
	synfig-core/trunk/src/modules/mod_jpeg/main.cpp,
	synfig-core/trunk/src/modules/mod_jpeg/mod_jpeg.nsh,
	synfig-core/trunk/src/modules/mod_jpeg/mptr_jpeg.cpp,
	synfig-core/trunk/src/modules/mod_jpeg/mptr_jpeg.h,
	synfig-core/trunk/src/modules/mod_jpeg/trgt_jpeg.cpp,
	synfig-core/trunk/src/modules/mod_jpeg/trgt_jpeg.h,
	synfig-core/trunk/src/modules/mod_jpeg/unmod_jpeg.nsh,
	synfig-core/trunk/src/modules/mod_libavcodec/Makefile.am,
	synfig-core/trunk/src/modules/mod_libavcodec/main.cpp,
	synfig-core/trunk/src/modules/mod_libavcodec/mod_libavcodec.nsh,
	synfig-core/trunk/src/modules/mod_libavcodec/mptr.cpp,
	synfig-core/trunk/src/modules/mod_libavcodec/mptr.h,
	synfig-core/trunk/src/modules/mod_libavcodec/trgt_av.cpp,
	synfig-core/trunk/src/modules/mod_libavcodec/trgt_av.h,
	synfig-core/trunk/src/modules/mod_libavcodec/unmod_libavcodec.nsh,
	synfig-core/trunk/src/modules/mod_magickpp/Makefile.am,
	synfig-core/trunk/src/modules/mod_magickpp/main.cpp,
	synfig-core/trunk/src/modules/mod_magickpp/mod_magickpp.nsh,
	synfig-core/trunk/src/modules/mod_magickpp/trgt_magickpp.cpp,
	synfig-core/trunk/src/modules/mod_magickpp/trgt_magickpp.h,
	synfig-core/trunk/src/modules/mod_magickpp/unmod_magickpp.nsh,
	synfig-core/trunk/src/modules/mod_mng/Makefile.am,
	synfig-core/trunk/src/modules/mod_mng/main.cpp,
	synfig-core/trunk/src/modules/mod_mng/mod_mng.nsh,
	synfig-core/trunk/src/modules/mod_mng/trgt_mng.cpp,
	synfig-core/trunk/src/modules/mod_mng/trgt_mng.h,
	synfig-core/trunk/src/modules/mod_mng/unmod_mng.nsh,
	synfig-core/trunk/src/modules/mod_noise/Makefile.am,
	synfig-core/trunk/src/modules/mod_noise/distort.cpp,
	synfig-core/trunk/src/modules/mod_noise/distort.h,
	synfig-core/trunk/src/modules/mod_noise/main.cpp,
	synfig-core/trunk/src/modules/mod_noise/mod_noise.nsh,
	synfig-core/trunk/src/modules/mod_noise/noise.cpp,
	synfig-core/trunk/src/modules/mod_noise/noise.h,
	synfig-core/trunk/src/modules/mod_noise/random_noise.cpp,
	synfig-core/trunk/src/modules/mod_noise/random_noise.h,
	synfig-core/trunk/src/modules/mod_noise/unmod_noise.nsh,
	synfig-core/trunk/src/modules/mod_noise/valuenode_random.cpp,
	synfig-core/trunk/src/modules/mod_noise/valuenode_random.h,
	synfig-core/trunk/src/modules/mod_openexr/Makefile.am,
	synfig-core/trunk/src/modules/mod_openexr/main.cpp,
	synfig-core/trunk/src/modules/mod_openexr/mod_openexr.nsh,
	synfig-core/trunk/src/modules/mod_openexr/mptr_openexr.cpp,
	synfig-core/trunk/src/modules/mod_openexr/mptr_openexr.h,
	synfig-core/trunk/src/modules/mod_openexr/trgt_openexr.cpp,
	synfig-core/trunk/src/modules/mod_openexr/trgt_openexr.h,
	synfig-core/trunk/src/modules/mod_openexr/unmod_openexr.nsh,
	synfig-core/trunk/src/modules/mod_particle/Makefile.am,
	synfig-core/trunk/src/modules/mod_particle/main.cpp,
	synfig-core/trunk/src/modules/mod_particle/mod_particle.nsh,
	synfig-core/trunk/src/modules/mod_particle/plant.cpp,
	synfig-core/trunk/src/modules/mod_particle/plant.h,
	synfig-core/trunk/src/modules/mod_particle/random.cpp,
	synfig-core/trunk/src/modules/mod_particle/random.h,
	synfig-core/trunk/src/modules/mod_particle/unmod_particle.nsh,
	synfig-core/trunk/src/modules/mod_png/Makefile.am,
	synfig-core/trunk/src/modules/mod_png/main.cpp,
	synfig-core/trunk/src/modules/mod_png/mod_png.nsh,
	synfig-core/trunk/src/modules/mod_png/mptr_png.cpp,
	synfig-core/trunk/src/modules/mod_png/mptr_png.h,
	synfig-core/trunk/src/modules/mod_png/trgt_png.cpp,
	synfig-core/trunk/src/modules/mod_png/trgt_png.h,
	synfig-core/trunk/src/modules/mod_png/unmod_png.nsh,
	synfig-core/trunk/src/modules/mod_ppm/Makefile.am,
	synfig-core/trunk/src/modules/mod_ppm/main.cpp,
	synfig-core/trunk/src/modules/mod_ppm/mod_ppm.nsh,
	synfig-core/trunk/src/modules/mod_ppm/mptr_ppm.cpp,
	synfig-core/trunk/src/modules/mod_ppm/mptr_ppm.h,
	synfig-core/trunk/src/modules/mod_ppm/trgt_mpg.cpp,
	synfig-core/trunk/src/modules/mod_ppm/trgt_mpg.h,
	synfig-core/trunk/src/modules/mod_ppm/trgt_ppm.cpp,
	synfig-core/trunk/src/modules/mod_ppm/trgt_ppm.h,
	synfig-core/trunk/src/modules/mod_ppm/unmod_ppm.nsh,
	synfig-core/trunk/src/modules/mod_svg/Makefile.am,
	synfig-core/trunk/src/modules/mod_svg/layer_svg.cpp,
	synfig-core/trunk/src/modules/mod_svg/layer_svg.h,
	synfig-core/trunk/src/modules/mod_svg/main.cpp,
	synfig-core/trunk/src/modules/mod_svg/mod_svg.nsh,
	synfig-core/trunk/src/modules/mod_svg/svg_parser.cpp,
	synfig-core/trunk/src/modules/mod_svg/svg_parser.h,
	synfig-core/trunk/src/modules/mod_svg/unmod_svg.nsh,
	synfig-core/trunk/src/modules/mod_yuv420p/Makefile.am,
	synfig-core/trunk/src/modules/mod_yuv420p/main.cpp,
	synfig-core/trunk/src/modules/mod_yuv420p/mod_yuv420p.nsh,
	synfig-core/trunk/src/modules/mod_yuv420p/trgt_yuv.cpp,
	synfig-core/trunk/src/modules/mod_yuv420p/trgt_yuv.h,
	synfig-core/trunk/src/modules/mod_yuv420p/unmod_yuv420p.nsh,
	synfig-core/trunk/src/modules/mptr_mplayer/Makefile.am,
	synfig-core/trunk/src/modules/mptr_mplayer/main.cpp,
	synfig-core/trunk/src/modules/mptr_mplayer/mptr_mplayer.cpp,
	synfig-core/trunk/src/modules/mptr_mplayer/mptr_mplayer.h,
	synfig-core/trunk/src/modules/synfig_modules.cfg.in,
	synfig-core/trunk/src/modules/template.nsh,
	synfig-core/trunk/src/modules/untemplate.nsh,
	synfig-core/trunk/src/synfig/Makefile.am,
	synfig-core/trunk/src/synfig/activepoint.cpp,
	synfig-core/trunk/src/synfig/activepoint.h,
	synfig-core/trunk/src/synfig/angle.h,
	synfig-core/trunk/src/synfig/blinepoint.cpp,
	synfig-core/trunk/src/synfig/blinepoint.h,
	synfig-core/trunk/src/synfig/blur.cpp,
	synfig-core/trunk/src/synfig/blur.h,
	synfig-core/trunk/src/synfig/canvas.cpp,
	synfig-core/trunk/src/synfig/canvas.h,
	synfig-core/trunk/src/synfig/canvasbase.h,
	synfig-core/trunk/src/synfig/color.cpp,
	synfig-core/trunk/src/synfig/color.h,
	synfig-core/trunk/src/synfig/context.cpp,
	synfig-core/trunk/src/synfig/context.h,
	synfig-core/trunk/src/synfig/curve_helper.cpp,
	synfig-core/trunk/src/synfig/curve_helper.h,
	synfig-core/trunk/src/synfig/curveset.cpp,
	synfig-core/trunk/src/synfig/curveset.h,
	synfig-core/trunk/src/synfig/distance.cpp,
	synfig-core/trunk/src/synfig/distance.h,
	synfig-core/trunk/src/synfig/exception.cpp,
	synfig-core/trunk/src/synfig/exception.h,
	synfig-core/trunk/src/synfig/gamma.cpp,
	synfig-core/trunk/src/synfig/gamma.h,
	synfig-core/trunk/src/synfig/general.h,
	synfig-core/trunk/src/synfig/gradient.cpp,
	synfig-core/trunk/src/synfig/gradient.h,
	synfig-core/trunk/src/synfig/guid.cpp,
	synfig-core/trunk/src/synfig/guid.h,
	synfig-core/trunk/src/synfig/guidset.h,
	synfig-core/trunk/src/synfig/importer.cpp,
	synfig-core/trunk/src/synfig/importer.h,
	synfig-core/trunk/src/synfig/interpolation.h,
	synfig-core/trunk/src/synfig/keyframe.cpp,
	synfig-core/trunk/src/synfig/keyframe.h,
	synfig-core/trunk/src/synfig/layer.cpp,
	synfig-core/trunk/src/synfig/layer.h,
	synfig-core/trunk/src/synfig/layer_bitmap.cpp,
	synfig-core/trunk/src/synfig/layer_bitmap.h,
	synfig-core/trunk/src/synfig/layer_composite.cpp,
	synfig-core/trunk/src/synfig/layer_composite.h,
	synfig-core/trunk/src/synfig/layer_duplicate.cpp,
	synfig-core/trunk/src/synfig/layer_duplicate.h,
	synfig-core/trunk/src/synfig/layer_mime.cpp,
	synfig-core/trunk/src/synfig/layer_mime.h,
	synfig-core/trunk/src/synfig/layer_motionblur.cpp,
	synfig-core/trunk/src/synfig/layer_motionblur.h,
	synfig-core/trunk/src/synfig/layer_pastecanvas.cpp,
	synfig-core/trunk/src/synfig/layer_pastecanvas.h,
	synfig-core/trunk/src/synfig/layer_polygon.cpp,
	synfig-core/trunk/src/synfig/layer_polygon.h,
	synfig-core/trunk/src/synfig/layer_shape.cpp,
	synfig-core/trunk/src/synfig/layer_shape.h,
	synfig-core/trunk/src/synfig/layer_solidcolor.cpp,
	synfig-core/trunk/src/synfig/layer_solidcolor.h,
	synfig-core/trunk/src/synfig/listimporter.cpp,
	synfig-core/trunk/src/synfig/listimporter.h,
	synfig-core/trunk/src/synfig/loadcanvas.cpp,
	synfig-core/trunk/src/synfig/loadcanvas.h,
	synfig-core/trunk/src/synfig/main.cpp,
	synfig-core/trunk/src/synfig/main.h,
	synfig-core/trunk/src/synfig/matrix.h,
	synfig-core/trunk/src/synfig/module.cpp,
	synfig-core/trunk/src/synfig/module.h,
	synfig-core/trunk/src/synfig/mutex.cpp,
	synfig-core/trunk/src/synfig/mutex.h,
	synfig-core/trunk/src/synfig/node.cpp,
	synfig-core/trunk/src/synfig/node.h,
	synfig-core/trunk/src/synfig/nodebase.h,
	synfig-core/trunk/src/synfig/palette.cpp,
	synfig-core/trunk/src/synfig/palette.h,
	synfig-core/trunk/src/synfig/paramdesc.cpp,
	synfig-core/trunk/src/synfig/paramdesc.h,
	synfig-core/trunk/src/synfig/pch.h,
	synfig-core/trunk/src/synfig/polynomial_root.cpp,
	synfig-core/trunk/src/synfig/polynomial_root.h,
	synfig-core/trunk/src/synfig/protocol.h,
	synfig-core/trunk/src/synfig/quick_rng.h,
	synfig-core/trunk/src/synfig/real.h,
	synfig-core/trunk/src/synfig/rect.cpp,
	synfig-core/trunk/src/synfig/rect.h,
	synfig-core/trunk/src/synfig/releases.h,
	synfig-core/trunk/src/synfig/renddesc.cpp,
	synfig-core/trunk/src/synfig/renddesc.h,
	synfig-core/trunk/src/synfig/render.cpp,
	synfig-core/trunk/src/synfig/render.h,
	synfig-core/trunk/src/synfig/savecanvas.cpp,
	synfig-core/trunk/src/synfig/savecanvas.h,
	synfig-core/trunk/src/synfig/segment.h,
	synfig-core/trunk/src/synfig/smartfile.h,
	synfig-core/trunk/src/synfig/string.h,
	synfig-core/trunk/src/synfig/string_decl.h,
	synfig-core/trunk/src/synfig/surface.cpp,
	synfig-core/trunk/src/synfig/surface.h,
	synfig-core/trunk/src/synfig/surfacenew.cpp,
	synfig-core/trunk/src/synfig/surfacenew.h,
	synfig-core/trunk/src/synfig/synfig.h,
	synfig-core/trunk/src/synfig/synfig.nsh,
	synfig-core/trunk/src/synfig/target.cpp,
	synfig-core/trunk/src/synfig/target.h,
	synfig-core/trunk/src/synfig/target_multi.cpp,
	synfig-core/trunk/src/synfig/target_multi.h,
	synfig-core/trunk/src/synfig/target_null.cpp,
	synfig-core/trunk/src/synfig/target_null.h,
	synfig-core/trunk/src/synfig/target_null_tile.cpp,
	synfig-core/trunk/src/synfig/target_null_tile.h,
	synfig-core/trunk/src/synfig/target_scanline.cpp,
	synfig-core/trunk/src/synfig/target_scanline.h,
	synfig-core/trunk/src/synfig/target_tile.cpp,
	synfig-core/trunk/src/synfig/target_tile.h,
	synfig-core/trunk/src/synfig/time.cpp,
	synfig-core/trunk/src/synfig/time.h,
	synfig-core/trunk/src/synfig/timepointcollect.cpp,
	synfig-core/trunk/src/synfig/timepointcollect.h,
	synfig-core/trunk/src/synfig/transform.cpp,
	synfig-core/trunk/src/synfig/transform.h,
	synfig-core/trunk/src/synfig/types.h,
	synfig-core/trunk/src/synfig/uniqueid.cpp,
	synfig-core/trunk/src/synfig/uniqueid.h,
	synfig-core/trunk/src/synfig/value.cpp,
	synfig-core/trunk/src/synfig/value.h,
	synfig-core/trunk/src/synfig/valuenode.cpp,
	synfig-core/trunk/src/synfig/valuenode.h,
	synfig-core/trunk/src/synfig/valuenode_add.cpp,
	synfig-core/trunk/src/synfig/valuenode_add.h,
	synfig-core/trunk/src/synfig/valuenode_and.cpp,
	synfig-core/trunk/src/synfig/valuenode_and.h,
	synfig-core/trunk/src/synfig/valuenode_anglestring.cpp,
	synfig-core/trunk/src/synfig/valuenode_anglestring.h,
	synfig-core/trunk/src/synfig/valuenode_animated.cpp,
	synfig-core/trunk/src/synfig/valuenode_animated.h,
	synfig-core/trunk/src/synfig/valuenode_atan2.cpp,
	synfig-core/trunk/src/synfig/valuenode_atan2.h,
	synfig-core/trunk/src/synfig/valuenode_bline.cpp,
	synfig-core/trunk/src/synfig/valuenode_bline.h,
	synfig-core/trunk/src/synfig/valuenode_blinecalctangent.cpp,
	synfig-core/trunk/src/synfig/valuenode_blinecalctangent.h,
	synfig-core/trunk/src/synfig/valuenode_blinecalcvertex.cpp,
	synfig-core/trunk/src/synfig/valuenode_blinecalcvertex.h,
	synfig-core/trunk/src/synfig/valuenode_blinecalcwidth.cpp,
	synfig-core/trunk/src/synfig/valuenode_blinecalcwidth.h,
	synfig-core/trunk/src/synfig/valuenode_blinereversetangent.cpp,
	synfig-core/trunk/src/synfig/valuenode_blinereversetangent.h,
	synfig-core/trunk/src/synfig/valuenode_compare.cpp,
	synfig-core/trunk/src/synfig/valuenode_compare.h,
	synfig-core/trunk/src/synfig/valuenode_composite.cpp,
	synfig-core/trunk/src/synfig/valuenode_composite.h,
	synfig-core/trunk/src/synfig/valuenode_const.cpp,
	synfig-core/trunk/src/synfig/valuenode_const.h,
	synfig-core/trunk/src/synfig/valuenode_cos.cpp,
	synfig-core/trunk/src/synfig/valuenode_cos.h,
	synfig-core/trunk/src/synfig/valuenode_dotproduct.cpp,
	synfig-core/trunk/src/synfig/valuenode_dotproduct.h,
	synfig-core/trunk/src/synfig/valuenode_duplicate.cpp,
	synfig-core/trunk/src/synfig/valuenode_duplicate.h,
	synfig-core/trunk/src/synfig/valuenode_dynamiclist.cpp,
	synfig-core/trunk/src/synfig/valuenode_dynamiclist.h,
	synfig-core/trunk/src/synfig/valuenode_exp.cpp,
	synfig-core/trunk/src/synfig/valuenode_exp.h,
	synfig-core/trunk/src/synfig/valuenode_gradientcolor.cpp,
	synfig-core/trunk/src/synfig/valuenode_gradientcolor.h,
	synfig-core/trunk/src/synfig/valuenode_gradientrotate.cpp,
	synfig-core/trunk/src/synfig/valuenode_gradientrotate.h,
	synfig-core/trunk/src/synfig/valuenode_greyed.cpp,
	synfig-core/trunk/src/synfig/valuenode_greyed.h,
	synfig-core/trunk/src/synfig/valuenode_integer.cpp,
	synfig-core/trunk/src/synfig/valuenode_integer.h,
	synfig-core/trunk/src/synfig/valuenode_intstring.cpp,
	synfig-core/trunk/src/synfig/valuenode_intstring.h,
	synfig-core/trunk/src/synfig/valuenode_join.cpp,
	synfig-core/trunk/src/synfig/valuenode_join.h,
	synfig-core/trunk/src/synfig/valuenode_linear.cpp,
	synfig-core/trunk/src/synfig/valuenode_linear.h,
	synfig-core/trunk/src/synfig/valuenode_log.cpp,
	synfig-core/trunk/src/synfig/valuenode_log.h,
	synfig-core/trunk/src/synfig/valuenode_not.cpp,
	synfig-core/trunk/src/synfig/valuenode_not.h,
	synfig-core/trunk/src/synfig/valuenode_or.cpp,
	synfig-core/trunk/src/synfig/valuenode_or.h,
	synfig-core/trunk/src/synfig/valuenode_pow.cpp,
	synfig-core/trunk/src/synfig/valuenode_pow.h,
	synfig-core/trunk/src/synfig/valuenode_radialcomposite.cpp,
	synfig-core/trunk/src/synfig/valuenode_radialcomposite.h,
	synfig-core/trunk/src/synfig/valuenode_range.cpp,
	synfig-core/trunk/src/synfig/valuenode_range.h,
	synfig-core/trunk/src/synfig/valuenode_realstring.cpp,
	synfig-core/trunk/src/synfig/valuenode_realstring.h,
	synfig-core/trunk/src/synfig/valuenode_reciprocal.cpp,
	synfig-core/trunk/src/synfig/valuenode_reciprocal.h,
	synfig-core/trunk/src/synfig/valuenode_reference.cpp,
	synfig-core/trunk/src/synfig/valuenode_reference.h,
	synfig-core/trunk/src/synfig/valuenode_repeat_gradient.cpp,
	synfig-core/trunk/src/synfig/valuenode_repeat_gradient.h,
	synfig-core/trunk/src/synfig/valuenode_scale.cpp,
	synfig-core/trunk/src/synfig/valuenode_scale.h,
	synfig-core/trunk/src/synfig/valuenode_segcalctangent.cpp,
	synfig-core/trunk/src/synfig/valuenode_segcalctangent.h,
	synfig-core/trunk/src/synfig/valuenode_segcalcvertex.cpp,
	synfig-core/trunk/src/synfig/valuenode_segcalcvertex.h,
	synfig-core/trunk/src/synfig/valuenode_sine.cpp,
	synfig-core/trunk/src/synfig/valuenode_sine.h,
	synfig-core/trunk/src/synfig/valuenode_step.cpp,
	synfig-core/trunk/src/synfig/valuenode_step.h,
	synfig-core/trunk/src/synfig/valuenode_stripes.cpp,
	synfig-core/trunk/src/synfig/valuenode_stripes.h,
	synfig-core/trunk/src/synfig/valuenode_subtract.cpp,
	synfig-core/trunk/src/synfig/valuenode_subtract.h,
	synfig-core/trunk/src/synfig/valuenode_switch.cpp,
	synfig-core/trunk/src/synfig/valuenode_switch.h,
	synfig-core/trunk/src/synfig/valuenode_timedswap.cpp,
	synfig-core/trunk/src/synfig/valuenode_timedswap.h,
	synfig-core/trunk/src/synfig/valuenode_timeloop.cpp,
	synfig-core/trunk/src/synfig/valuenode_timeloop.h,
	synfig-core/trunk/src/synfig/valuenode_timestring.cpp,
	synfig-core/trunk/src/synfig/valuenode_timestring.h,
	synfig-core/trunk/src/synfig/valuenode_twotone.cpp,
	synfig-core/trunk/src/synfig/valuenode_twotone.h,
	synfig-core/trunk/src/synfig/valuenode_vectorangle.cpp,
	synfig-core/trunk/src/synfig/valuenode_vectorangle.h,
	synfig-core/trunk/src/synfig/valuenode_vectorlength.cpp,
	synfig-core/trunk/src/synfig/valuenode_vectorlength.h,
	synfig-core/trunk/src/synfig/valuenode_vectorx.cpp,
	synfig-core/trunk/src/synfig/valuenode_vectorx.h,
	synfig-core/trunk/src/synfig/valuenode_vectory.cpp,
	synfig-core/trunk/src/synfig/valuenode_vectory.h,
	synfig-core/trunk/src/synfig/vector.h,
	synfig-core/trunk/src/synfig/version.h,
	synfig-core/trunk/src/synfig/waypoint.cpp,
	synfig-core/trunk/src/synfig/waypoint.h,
	synfig-core/trunk/src/template.cpp,
	synfig-core/trunk/src/template.h,
	synfig-core/trunk/src/tool/Makefile.am,
	synfig-core/trunk/src/tool/main.cpp,
	synfig-core/trunk/src/tool/tool.nsh,
	synfig-core/trunk/synfig-config.in,
	synfig-core/trunk/synfig-core.xcodeproj/config.h,
	synfig-core/trunk/synfig-core.xcodeproj/darco.mode1,
	synfig-core/trunk/synfig-core.xcodeproj/darco.pbxuser,
	synfig-core/trunk/synfig-core.xcodeproj/project.pbxproj,
	synfig-core/trunk/synfig.kdevprj, synfig-core/trunk/synfig.pc.in,
	synfig-core/trunk/synfig.prj, synfig-core/trunk/win32build.sh,
	synfig-core/trunk/win32inst.nsi.in, synfig-core/win32build.sh,
	synfig-core/win32inst.nsi.in: Remove ancient trunk folder from svn
	repository

2009-08-01  Carlos Lopez <carlos@pcnuevo.(none)>

	* : commit dc1319ebadcd6f7746f4faa43dcb2005f05c490d Author: Carlos
	Lopez <carlos@pcnuevo.(none)> Date:   Mon Jul 27 19:20:19 2009 +0200

2009-07-27  Carlos Lopez <carlos@pcnuevo.(none)>

	* : commit 7c1abe51ca9fa3743536b52a3325483878f6cd4d Author: Carlos
	Lopez <carlos@pcnuevo.(none)> Date:   Sun Jul 26 08:26:02 2009 +0200

2009-07-25  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/trunk/build_tools/autorevision.sh: Detect branch
	better. Don't forget to clean autorevision.h in core.

2009-07-24  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/trunk/build_tools/autorevision.sh: Detect path to .git
	dir automatically.

2009-07-23  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/trunk/build_tools/Makefile.am,
	synfig-core/trunk/build_tools/autorevision.sh: Do not force usage of
	bash. Made autorevision scripts compatible with bash and dash at the
	same time.

2009-07-23  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/trunk/build_tools/Makefile.am,
	synfig-core/trunk/build_tools/autorevision.sh: Invoke bash directly
	to detect revision (allows to avoid using some minimal shell
	alternatives). Minor improvements on branch detection.

2009-07-19  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/trunk/build_tools/autorevision.sh: "git-show" is
	deprecated - don't use it.

2009-07-18  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/trunk/build_tools/autorevision.sh: Revision detection
	code cleanup.

2009-07-18  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/trunk/build_tools/autorevision.sh: Detect branch
	better when getting git revision information (for 'synfig --info'
	and about dialog).

2009-07-17  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/trunk/configure.ac: Fixed build error for synfig-core
	caused by eb646e952b600199e2f1a0c27ea1c4fde87a1f50.

2009-07-16  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-core/trunk/Makefile.am,
	synfig-core/trunk/build_tools/Makefile.am,
	synfig-core/trunk/build_tools/autorevision.sh,
	synfig-core/trunk/src/tool/main.cpp: Show git revision information
	on "synfig --info".

2009-07-07  Carlos Lopez <carlos@pcnuevo.(none)>

	* synfig-core/trunk/src/synfig/valuenode_scale.cpp,
	synfig-core/trunk/src/synfig/valuenode_scale.h: Add a member to
	check if the value node is invertible and a member to calculate the
	inverse. Code in studio is more independent on core modifications.

2009-07-06  Carlos Lopez <carlos@pcnuevo.(none)>

	* synfig-core/trunk/src/synfig/valuenode_scale.cpp,
	synfig-core/trunk/src/synfig/valuenode_scale.h: Simplified version
	for reverse manipulation Scale convert types ducks

2009-06-19  gballintijn <gballintijn@1f10aa63-cdf2-0310-b900-c93c546f37ac>

	* synfig-core/trunk/configure.ac: Remove an Autoconf warning about
	AC_COMPILE_IFELSE and AC_RUN_IFELSE being called before
	AC_GNU_SOURCE was called. AC_COMPILE_IFELSE and AC_RUN_IFELSE are
	indirectly called via AC_BIGENDIAN.  git-svn-id: https://synfig.svn.sourceforge.net/svnroot/synfig@2379
	1f10aa63-cdf2-0310-b900-c93c546f37ac

2009-06-15  Carlos Lopez <carlos@pcnuevo.(none)>

	* synfig-core/trunk/src/modules/mod_png/mptr_png.cpp: Remove
	assert(o) call because this function is called when importing a SVG
	file using the png module and the build is in debug mode.

2009-06-13  Carlos Lopez <carlos@pcnuevo.(none)>

	* synfig-core/tags/0.61.08/AUTHORS,
	synfig-core/tags/0.61.08/ChangeLog.old,
	synfig-core/tags/0.61.08/Makefile.am,
	synfig-core/tags/0.61.08/NEWS, synfig-core/tags/0.61.08/README,
	synfig-core/tags/0.61.08/TODO,
	synfig-core/tags/0.61.08/config/ltmain.patch,
	synfig-core/tags/0.61.08/config/package,
	synfig-core/tags/0.61.08/configure.ac,
	synfig-core/tags/0.61.08/doc/hw-gfx-mapping.txt,
	synfig-core/tags/0.61.08/doxygen.cfg.in,
	synfig-core/tags/0.61.08/examples/Makefile.am,
	synfig-core/tags/0.61.08/examples/walk/Makefile.am,
	synfig-core/tags/0.61.08/examples/walk/animation.lst,
	synfig-core/tags/0.61.08/m4/ETL.m4,
	synfig-core/tags/0.61.08/m4/cxx_macros.m4,
	synfig-core/tags/0.61.08/m4/freetype2.m4,
	synfig-core/tags/0.61.08/m4/libxml++.m4,
	synfig-core/tags/0.61.08/m4/libxml.m4,
	synfig-core/tags/0.61.08/m4/pkgconfig.m4,
	synfig-core/tags/0.61.08/m4/subs.m4,
	synfig-core/tags/0.61.08/m4/synfig.m4,
	synfig-core/tags/0.61.08/macosxbuild.sh,
	synfig-core/tags/0.61.08/pkg-info/macosx/core-resources/License.txt
	,
	synfig-core/tags/0.61.08/pkg-info/macosx/core-resources/ReadMe.txt,
	synfig-core/tags/0.61.08/pkg-info/macosx/core-resources/Welcome.txt
	,
	synfig-core/tags/0.61.08/pkg-info/macosx/core-resources/install.sh,
	synfig-core/tags/0.61.08/pkg-info/macosx/core-resources/upgrade.sh,
	synfig-core/tags/0.61.08/pkg-info/macosx/synfig-core.info.in,
	synfig-core/tags/0.61.08/po/Makevars,
	synfig-core/tags/0.61.08/po/POTFILES.in,
	synfig-core/tags/0.61.08/po/es.po,
	synfig-core/tags/0.61.08/po/fr.po,
	synfig-core/tags/0.61.08/src/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/example/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/example/filledrect.cpp,
	synfig-core/tags/0.61.08/src/modules/example/filledrect.h,
	synfig-core/tags/0.61.08/src/modules/example/main.cpp,
	synfig-core/tags/0.61.08/src/modules/example/metaballs.cpp,
	synfig-core/tags/0.61.08/src/modules/example/metaballs.h,
	synfig-core/tags/0.61.08/src/modules/example/simplecircle.cpp,
	synfig-core/tags/0.61.08/src/modules/example/simplecircle.h,
	synfig-core/tags/0.61.08/src/modules/lyr_freetype/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/lyr_freetype/lyr_freetype.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_freetype/lyr_freetype.h,
	synfig-core/tags/0.61.08/src/modules/lyr_freetype/lyr_freetype.nsh,
	synfig-core/tags/0.61.08/src/modules/lyr_freetype/main.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_freetype/unlyr_freetype.ns
	h, synfig-core/tags/0.61.08/src/modules/lyr_std/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/lyr_std/bevel.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/bevel.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/booleancurve.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/booleancurve.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/clamp.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/clamp.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/import.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/import.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/insideout.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/insideout.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/julia.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/julia.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/lyr_std.nsh,
	synfig-core/tags/0.61.08/src/modules/lyr_std/main.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/mandelbrot.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/mandelbrot.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/rotate.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/rotate.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/shade.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/shade.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/sphere_distort.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/sphere_distort.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/stretch.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/stretch.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/supersample.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/supersample.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/timeloop.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/timeloop.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/translate.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/translate.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/twirl.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/twirl.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/unlyr_std.nsh,
	synfig-core/tags/0.61.08/src/modules/lyr_std/warp.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/warp.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/xorpattern.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/xorpattern.h,
	synfig-core/tags/0.61.08/src/modules/lyr_std/zoom.cpp,
	synfig-core/tags/0.61.08/src/modules/lyr_std/zoom.h,
	synfig-core/tags/0.61.08/src/modules/mod_bmp/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_bmp/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_bmp/mod_bmp.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_bmp/mptr_bmp.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_bmp/mptr_bmp.h,
	synfig-core/tags/0.61.08/src/modules/mod_bmp/trgt_bmp.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_bmp/trgt_bmp.h,
	synfig-core/tags/0.61.08/src/modules/mod_bmp/unmod_bmp.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_dv/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_dv/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_dv/mod_dv.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_dv/trgt_dv.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_dv/trgt_dv.h,
	synfig-core/tags/0.61.08/src/modules/mod_dv/unmod_dv.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_ffmpeg/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_ffmpeg/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_ffmpeg/mod_ffmpeg.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_ffmpeg/mptr_ffmpeg.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_ffmpeg/mptr_ffmpeg.h,
	synfig-core/tags/0.61.08/src/modules/mod_ffmpeg/trgt_ffmpeg.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_ffmpeg/trgt_ffmpeg.h,
	synfig-core/tags/0.61.08/src/modules/mod_ffmpeg/unmod_ffmpeg.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_filter/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_filter/blur.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_filter/blur.h,
	synfig-core/tags/0.61.08/src/modules/mod_filter/colorcorrect.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_filter/colorcorrect.h,
	synfig-core/tags/0.61.08/src/modules/mod_filter/halftone.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_filter/halftone.h,
	synfig-core/tags/0.61.08/src/modules/mod_filter/halftone2.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_filter/halftone2.h,
	synfig-core/tags/0.61.08/src/modules/mod_filter/halftone3.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_filter/halftone3.h,
	synfig-core/tags/0.61.08/src/modules/mod_filter/lumakey.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_filter/lumakey.h,
	synfig-core/tags/0.61.08/src/modules/mod_filter/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_filter/mod_filter.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_filter/radialblur.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_filter/radialblur.h,
	synfig-core/tags/0.61.08/src/modules/mod_filter/unmod_filter.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/checkerboard.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/checkerboard.h,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/circle.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/circle.h,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/mod_geometry.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/outline.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/outline.h,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/rectangle.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/rectangle.h,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/region.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/region.h,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/star.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/star.h,
	synfig-core/tags/0.61.08/src/modules/mod_geometry/unmod_geometry.ns
	h, synfig-core/tags/0.61.08/src/modules/mod_gif/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_gif/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_gif/mod_gif.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_gif/trgt_gif.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_gif/trgt_gif.h,
	synfig-core/tags/0.61.08/src/modules/mod_gif/unmod_gif.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/conicalgradient.c
	pp,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/conicalgradient.h
	,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/curvegradient.cpp
	,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/curvegradient.h,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/lineargradient.cp
	p,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/lineargradient.h,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/mod_gradient.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/radialgradient.cp
	p,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/radialgradient.h,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/spiralgradient.cp
	p,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/spiralgradient.h,
	synfig-core/tags/0.61.08/src/modules/mod_gradient/unmod_gradient.ns
	h,
	synfig-core/tags/0.61.08/src/modules/mod_imagemagick/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_imagemagick/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_imagemagick/mod_imagemagic
	k.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_imagemagick/mptr_imagemagi
	ck.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_imagemagick/mptr_imagemagi
	ck.h,
	synfig-core/tags/0.61.08/src/modules/mod_imagemagick/trgt_imagemagi
	ck.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_imagemagick/trgt_imagemagi
	ck.h,
	synfig-core/tags/0.61.08/src/modules/mod_imagemagick/unmod_imagemag
	ick.nsh, synfig-core/tags/0.61.08/src/modules/mod_jpeg/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_jpeg/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_jpeg/mod_jpeg.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_jpeg/mptr_jpeg.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_jpeg/mptr_jpeg.h,
	synfig-core/tags/0.61.08/src/modules/mod_jpeg/trgt_jpeg.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_jpeg/trgt_jpeg.h,
	synfig-core/tags/0.61.08/src/modules/mod_jpeg/unmod_jpeg.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_libavcodec/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_libavcodec/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_libavcodec/mod_libavcodec.
	nsh, synfig-core/tags/0.61.08/src/modules/mod_libavcodec/mptr.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_libavcodec/mptr.h,
	synfig-core/tags/0.61.08/src/modules/mod_libavcodec/trgt_av.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_libavcodec/trgt_av.h,
	synfig-core/tags/0.61.08/src/modules/mod_libavcodec/unmod_libavcode
	c.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_magickpp/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_magickpp/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_magickpp/mod_magickpp.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_magickpp/trgt_magickpp.cpp
	,
	synfig-core/tags/0.61.08/src/modules/mod_magickpp/trgt_magickpp.h,
	synfig-core/tags/0.61.08/src/modules/mod_magickpp/unmod_magickpp.ns
	h, synfig-core/tags/0.61.08/src/modules/mod_mng/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_mng/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_mng/mod_mng.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_mng/trgt_mng.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_mng/trgt_mng.h,
	synfig-core/tags/0.61.08/src/modules/mod_mng/unmod_mng.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_noise/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_noise/distort.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_noise/distort.h,
	synfig-core/tags/0.61.08/src/modules/mod_noise/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_noise/mod_noise.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_noise/noise.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_noise/noise.h,
	synfig-core/tags/0.61.08/src/modules/mod_noise/random.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_noise/random.h,
	synfig-core/tags/0.61.08/src/modules/mod_noise/unmod_noise.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_noise/valuenode_random.cpp
	,
	synfig-core/tags/0.61.08/src/modules/mod_noise/valuenode_random.h,
	synfig-core/tags/0.61.08/src/modules/mod_openexr/Makefile.am,
	synfig-core/tags/0.61.08/src/modules/mod_openexr/main.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_openexr/mod_openexr.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_openexr/mptr_openexr.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_openexr/mptr_openexr.h,
	synfig-core/tags/0.61.08/src/modules/mod_openexr/trgt_openexr.cpp,
	synfig-core/tags/0.61.08/src/modules/mod_openexr/trgt_openexr.h,
	synfig-core/tags/0.61.08/src/modules/mod_openexr/unmod_openexr.nsh,
	synfig-core/tags/0.61.08/src/modules/mod_particle/Makefile.am,
